<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:include href="../common/Utils.xsl"/>
	<xsl:include href="../common/hhhltbl.xsl"/>
	<xsl:include href="../en/globals.xsl"/>
	<xsl:template match="/">
		<DataArea>
			
			<xsl:choose>
				<xsl:when test="count(//NVMeAdapters/DCStorageObject)!=0">
					<PageTitle>
						<xsl:attribute name="display"><xsl:value-of select="$strTitle1"/><xsl:value-of select="//NVMeAdapters/@ControllerName"/></xsl:attribute>
					</PageTitle>
					<xsl:apply-templates select="//NVMeAdapters"/>
					</xsl:when>
				<xsl:otherwise>
					<PageTitle>
						<xsl:attribute name="display"><xsl:value-of select="$strHeader1"/></xsl:attribute>
					</PageTitle>
				</xsl:otherwise>
			</xsl:choose>							
		</DataArea>
	</xsl:template>
	<xsl:template match="NVMeAdapters">
		
		<TableData>
			<Header>
				<xsl:call-template name="HHHLTableHeader">
					<xsl:with-param name="tasks">false</xsl:with-param>
				</xsl:call-template>
			</Header>
			<xsl:for-each select="DCStorageObject">
				<xsl:sort select="Channel" data-type="number" order="ascending"/>
				<xsl:call-template name="HHHLTableRows">
					<xsl:with-param name="tasks">false</xsl:with-param>
				</xsl:call-template>
			</xsl:for-each>
		</TableData>
			
	</xsl:template>

	<xsl:template match="OMAUserRights"/>
	<xsl:template match="*"/>
</xsl:stylesheet>

