<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- CONTROLLER TABLE HEADER -->
	<xsl:template name="ControllerTableHeader">
		<xsl:param name="tasks"/>
		<xsl:variable name="dynamicView">
			<xsl:choose>
				<xsl:when test="/OMA/@cli = 'true' ">false</xsl:when>
				<xsl:otherwise>true</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<Data name="Id" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strID"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strID"/></xsl:attribute>
		</Data>
		<Data name="Status" editable="false" type="ustring">
			<xsl:attribute name="display"><xsl:value-of select="$strStatus"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strStatus"/></xsl:attribute>
		</Data>
		<Data name="ID" editable="false" type="ustring" ignoreoncli="true">
			<xsl:attribute name="display"><xsl:value-of select="$strID"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strID"/></xsl:attribute>
		</Data>
		<Data name="Name" editable="false" type="ustring">
			<xsl:attribute name="display"><xsl:value-of select="$strName"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strName"/></xsl:attribute>
		</Data>

		<xsl:if test="//PCISlot and //PCISlot !='' or $dynamicView = 'false'">
		<Data name="SlotID" editable="false" type="ustring">
			<xsl:attribute name="display"><xsl:value-of select="$strSlotID"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strSlotID"/></xsl:attribute>
		</Data>
		</xsl:if>
		

		<Data name="State" editable="false" type="ustring">
			<xsl:attribute name="display"><xsl:value-of select="$strState"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strState"/></xsl:attribute>
		</Data>
		
		<xsl:if test="//FirmwareVer or $dynamicView = 'false'">
			<Data name="FW" editable="false" type="ustring">
				<xsl:attribute name="display"><xsl:value-of select="$strFW"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strFW"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="//RequiredFirmwareVersion or $dynamicView = 'false'">
			<Data name="ReqFW" editable="false" type="ustring">
				<xsl:attribute name="display"><xsl:value-of select="$strReqFW"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strReqFW"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="/OMA/Controllers/DCStorageObject/CurrentDriverVersion or $dynamicView = 'false'">
			<Data name="Dvr" editable="false" type="ustring">
				<xsl:attribute name="display"><xsl:value-of select="$strDvr"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strDvr"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="//RequiredDriverVersion or $dynamicView = 'false'">
			<Data name="ReqFW" editable="false" type="ustring">
				<xsl:attribute name="display"><xsl:value-of select="$strReqDvr"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strReqDvr"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="//CurrentStorPortDriverVersion or $dynamicView = 'false'">
			<Data name="Dvr" editable="false" type="ustring">
				<xsl:attribute name="display"><xsl:value-of select="$strStorPortDvr"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strStorPortDvr"/></xsl:attribute>
			</Data>
		</xsl:if>
		<xsl:if test="//RequiredStorPortDriverVersion or $dynamicView = 'false'">
			<Data name="ReqFW" editable="false" type="ustring">
				<xsl:attribute name="display"><xsl:value-of select="$strReqStorPortDvr"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strReqStorPortDvr"/></xsl:attribute>
			</Data>
		</xsl:if>
		

		<Data name="NumChannels" editable="false" type="ustring" ignoreonweb="true">
		<xsl:choose>
		  <xsl:when test="BusProtocol = '9'">
			<xsl:attribute name="display"><xsl:value-of select="$strNumExtenders"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strNumExtenders"/></xsl:attribute>
		   </xsl:when>
           <xsl:otherwise>
		      <xsl:attribute name="display"><xsl:value-of select="$strNumChannels"/></xsl:attribute>
			  <xsl:attribute name="value"><xsl:value-of select="$strNumChannels"/></xsl:attribute>
           </xsl:otherwise>
          </xsl:choose>		   
		</Data>
		
		<Data name="RbldRate" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strRebuildRate"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strRebuildRate"/></xsl:attribute>
		</Data>
		<Data name="BGIRate" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strBGIRate"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strBGIRate"/></xsl:attribute>
		</Data>
		<Data name="CheckConsistencyRate" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strChkConsistencyRate"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strChkConsistencyRate"/></xsl:attribute>
		</Data>
		<Data name="ReconstructRate" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strReconstructRate"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strReconstructRate"/></xsl:attribute>
		</Data>
    <Data name="AlarmState" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strAlarmState"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strAlarmState"/></xsl:attribute>
		</Data>
		<Data name="ClusterMode" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strClusterMode"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strClusterMode"/></xsl:attribute>
		</Data>
		<Data name="ScsiTgId" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strScsiTgId"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strScsiTgId"/></xsl:attribute>
		</Data>
		<Data name="CacheSize" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strCacheSize"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strCacheSize"/></xsl:attribute>
		</Data>
		<Data name="PatReadMode" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strPatrolReadMode"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strPatrolReadMode"/></xsl:attribute>
		</Data>
		<Data name="PatReadState" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strPatrolReadState"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strPatrolReadState"/></xsl:attribute>
		</Data>
		<Data name="PatReadRate" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strPatrolReadRate"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strPatrolReadRate"/></xsl:attribute>
		</Data>
		<Data name="PatReadIterations" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strPatrolReadIterations"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strPatrolReadIterations"/></xsl:attribute>
		</Data>

		<Data name="AbortCheckConsistencyOnError" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strAbortCConError"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strAbortCConError"/></xsl:attribute>
		</Data>
		<Data name="Copyback" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strCopyback"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strCopyback"/></xsl:attribute>
		</Data>
		<Data name="Loadbalance" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strLoadBalancing"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strLoadBalancing"/></xsl:attribute>
		</Data>
		<Data name="AutoCopybackOnPredictiveFailure" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strSmarterErrorDisk"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strSmarterErrorDisk"/></xsl:attribute>
		</Data>
        <Data name="ClearMultiPath" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strClearMultipath"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strClearMultipath"/></xsl:attribute>
		</Data>
       	<Data name="SSCCapable" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$strSSCCapable"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$strSSCCapable"/></xsl:attribute>
		</Data>		
		<Data name="PersistentHS" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="display"><xsl:value-of select="$PersistentHotSpare"/></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="$PersistentHotSpare"/></xsl:attribute>
		</Data>
    <Data name="SecurityCapability" editable="false" type="ustring" ignoreonweb="true">
      <xsl:attribute name="display"><xsl:value-of select="$strSecurityCapable"/></xsl:attribute>
      <xsl:attribute name="value"><xsl:value-of select="$strSecurityCapable"/></xsl:attribute>
    </Data>
    <Data name="SecurityKeyPresent" editable="false" type="ustring" ignoreonweb="true">
      <xsl:attribute name="display"><xsl:value-of select="$strSecurityKeyPresent"/></xsl:attribute>
      <xsl:attribute name="value"><xsl:value-of select="$strSecurityKeyPresent"/></xsl:attribute>
    </Data>
	<Data name="SecurityMode" editable="false" type="ustring" ignoreonweb="true">
      <xsl:attribute name="display"><xsl:value-of select="$strSecurityMode"/></xsl:attribute>
      <xsl:attribute name="value"><xsl:value-of select="$strSecurityMode"/></xsl:attribute>
    </Data>
	<xsl:if test="//PreserveCacheStatus or $dynamicView = 'false'">
	<Data name="PreserveCacheStatus" editable="false" type="ustring" ignoreonweb="true">
        <xsl:attribute name="display"><xsl:value-of select="$strPreserveChacheStatus"/></xsl:attribute>
		<xsl:attribute name="value"><xsl:value-of select="$strPreserveChacheStatus"/></xsl:attribute>
	</Data>
	</xsl:if>
	<!-- BITS131577: the controller table header will be displayed specific to each controller  -->
	<xsl:if test="substring(DimmerPropertyMask,1,1)='1'">
	             
				 
			
							<Data name="UnconfiguredDrives" editable="false" type="ustring" ignoreonweb="true">
								 <xsl:attribute name="display"><xsl:value-of select="$strUnconfiguredDrives"/></xsl:attribute>
								 <xsl:attribute name="value"><xsl:value-of select="$strUnconfiguredDrives"/></xsl:attribute>
							</Data>
							
							<Data name="UnconfiguredHotspares" editable="false" type="ustring" ignoreonweb="true">
								 <xsl:attribute name="display"><xsl:value-of select="$strUnconfiguredHotspares"/></xsl:attribute>
								 <xsl:attribute name="value"><xsl:value-of select="$strUnconfiguredHotspares"/></xsl:attribute>
							</Data>

							
							<Data name="ConfiguredDrives" editable="false" type="ustring" ignoreonweb="true">
								 <xsl:attribute name="display"><xsl:value-of select="$strConfiguredDrives"/></xsl:attribute>
								 <xsl:attribute name="value"><xsl:value-of select="$strConfiguredDrives"/></xsl:attribute>
							</Data>
							<Data name="Idle_C" editable="false" type="ustring" ignoreonweb="true">
								 <xsl:attribute name="display"><xsl:value-of select="$strIdleCFull"/></xsl:attribute>
								 <xsl:attribute name="value"><xsl:value-of select="$strIdleCFull"/></xsl:attribute>
							</Data>
									<xsl:choose>
										<xsl:when test="SupportPowerSavings = '1'">
										   <xsl:if test="substring(DimmerPropertyMask,25,1)='1' or substring(DimmerPropertyMask,27,1)='1' or substring(DimmerPropertyMask,23,1)='1' or substring(DimmerPropertyMask,21,1)='1'">
											<Data name="SpindownTimeInterval" editable="false" type="ustring" ignoreonweb="true">
												 <xsl:attribute name="display"><xsl:value-of select="$strSpindownTimeInterval"/></xsl:attribute>
												 <xsl:attribute name="value"><xsl:value-of select="$strSpindownTimeInterval"/></xsl:attribute>
											</Data>
											</xsl:if>
											<Data name="SpinupStartTime" editable="false" type="ustring" ignoreonweb="true">
													 <xsl:attribute name="display"><xsl:value-of select="$strStartTime"/></xsl:attribute>
													 <xsl:attribute name="value"><xsl:value-of select="$strStartTime"/></xsl:attribute>
											</Data>
											<Data name="SpinupTimeInterval" editable="false" type="ustring" ignoreonweb="true">
																 <xsl:attribute name="display"><xsl:value-of select="$strEndTime"/></xsl:attribute>
																 <xsl:attribute name="value"><xsl:value-of select="$strEndTime"/></xsl:attribute>
													</Data>
											
										</xsl:when>
										<xsl:otherwise>
											<xsl:if test="substring(DimmerPropertyMask,25,1)='1' or substring(DimmerPropertyMask,27,1)='1'">
													<Data name="SpindownTimeInterval" editable="false" type="ustring" ignoreonweb="true">
																 <xsl:attribute name="display"><xsl:value-of select="$strSpindownTimeInterval"/></xsl:attribute>
																 <xsl:attribute name="value"><xsl:value-of select="$strSpindownTimeInterval"/></xsl:attribute>
													</Data>
													</xsl:if>
										</xsl:otherwise>
									</xsl:choose>
	</xsl:if>
	<Data name="CtrlPICapable" editable="false" type="ustring" ignoreonweb="true">
		 <xsl:attribute name="display"><xsl:value-of select="$strT10PICapable"/></xsl:attribute>
		 <xsl:attribute name="value"><xsl:value-of select="$strT10PICapable"/></xsl:attribute>
	</Data>
    <Data name="NonRaidDiskCachePolicy" editable="false" type="ustring" ignoreonweb="true">
		 <xsl:attribute name="display"><xsl:value-of select="$strNonRaidDiskCachePolicy"/></xsl:attribute>
		 <xsl:attribute name="value"><xsl:value-of select="$strNonRaidDiskCachePolicy"/></xsl:attribute>
	</Data>
	<xsl:if test="PersonalityState">
		<Data name="PersonalityState" editable="false" type="ustring" ignoreonweb="true">
			 <xsl:attribute name="display"><xsl:value-of select="$strPersonalityState"/></xsl:attribute>
			 <xsl:attribute name="value"><xsl:value-of select="$strPersonalityState"/></xsl:attribute>
		</Data>
	</xsl:if>
	
	<!-- The Rows is added for introducing stash feature in controller config page  -->
	<xsl:if test="CtrlStashSlot and CtrlStashSlot !=''">
		<Data name="CtrlStashSlot" editable="false" type="ustring" ignoreonweb="true">
			 <xsl:attribute name="display"><xsl:value-of select="$strStash"/></xsl:attribute>
			 <xsl:attribute name="value"><xsl:value-of select="$strStash"/></xsl:attribute>
		</Data>
	</xsl:if>
	
	<!-- The Rows is added as a part of stash feature by introducing "Controller Instance "in controller config page -->
	<xsl:if test="CtrlStashInst and CtrlStashInst !=''">
		<Data name="CtrlStashInst" editable="false" type="ustring" ignoreonweb="true">
			 <xsl:attribute name="display"><xsl:value-of select="$strControllerInstance"/></xsl:attribute>
			 <xsl:attribute name="value"><xsl:value-of select="$strControllerInstance"/></xsl:attribute>
		</Data>
	</xsl:if>
	
		<!--xsl:if test="$tasks='true'">
			<Data name="Delete" editable="false" type="ustring">
				<xsl:attribute name="display"><xsl:value-of select="$strTasks"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$strTasks"/></xsl:attribute>
			</Data-->
		<!-- The Rows have one extra row for the execute button.  Including a blank <Data> tag here keeps the line that underlines the headers continuous -->
		<!--/xsl:if-->
	</xsl:template>
	<!-- CONTROLLER TABLE ROWS -->
	<xsl:template name="ControllerTableRows">
	<xsl:param name="ObjID">
		<xsl:call-template name="ModNexus">
			<xsl:with-param name="nexus">
				<xsl:value-of select="Nexus"/>
			</xsl:with-param>
		</xsl:call-template>
        </xsl:param>
		<xsl:param name="tasks"/>
		<xsl:variable name="isCluster">
			<xsl:if test="substring(AttributesMask,32,1)!='0'">true</xsl:if>
		</xsl:variable>
		<xsl:variable name="dynamicView">
			<xsl:choose>
				<xsl:when test="/OMA/@cli = 'true' ">false</xsl:when>
				<xsl:otherwise>true</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<Row>
			<Data type="ustring" align="center" ignoreonweb="true">
				<xsl:attribute name="value"><xsl:value-of select="GlobalNo"/></xsl:attribute>
			</Data>
			<Data type="status" align="center">
				<xsl:attribute name="value"><xsl:value-of select="ObjStatus"/></xsl:attribute>
			</Data>
			<Data ignoreoncli="true">
				<xsl:attribute name="value"><xsl:value-of select="GlobalNo"/></xsl:attribute>
			</Data>
			<Data name="Name" editable="false" type="ustring" display="{Name}" link="true">
				<xsl:attribute name="value"><xsl:value-of select="Name"/></xsl:attribute>
				<xsl:attribute name="href">javascript:newSelect('<xsl:value-of select="$ObjID"/>')</xsl:attribute>
			</Data>
				<xsl:choose>
					<xsl:when test="PCISlot and PCISlot !=''">
					<Data>
						<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="PCISlot = '-1' or PCISlot = '2147483648' or PCISlot = '0' ">
								<xsl:value-of select="$strEmbedded"/>
							</xsl:when>
							<xsl:when test="PCISlot = '2147483649' ">
								<xsl:value-of select="$strNoSlot"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$strPCI"/><xsl:value-of select="PCISlot"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
					</xsl:when>
					<xsl:otherwise><Data><xsl:attribute name="value"><xsl:value-of select="$strNoSlot"/></xsl:attribute></Data></xsl:otherwise>
				</xsl:choose>
                  
			<Data name="State" editable="false" type="ustring" display="Test">
                        <xsl:choose>
                        <xsl:when test="ObjType = '786'">
                                <xsl:attribute name="value"><xsl:value-of select="$strNotApplicable"/></xsl:attribute>
                        </xsl:when>
                        <xsl:otherwise>           
				<xsl:attribute name="value"><xsl:call-template name="GetState"><xsl:with-param name="state"><xsl:value-of select="ObjState"/></xsl:with-param></xsl:call-template></xsl:attribute>
                        </xsl:otherwise>
                      </xsl:choose>  
			</Data>

			<xsl:if test="//FirmwareVer or $dynamicView = 'false'">
				<Data>
					<xsl:attribute name="value"><xsl:choose><xsl:when test="FirmwareVer"><xsl:choose><xsl:when test="FirmwareVer = '(null)' "><xsl:value-of select="$strUnknown"/></xsl:when><xsl:otherwise><xsl:value-of select="FirmwareVer"/></xsl:otherwise></xsl:choose></xsl:when><xsl:otherwise><xsl:value-of select="$strNotAvailable"/></xsl:otherwise></xsl:choose></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="//RequiredFirmwareVersion or $dynamicView = 'false'">
				<Data>
					<xsl:attribute name="value"><xsl:choose><xsl:when test="RequiredFirmwareVersion"><xsl:choose><xsl:when test="RequiredFirmwareVersion= '(null)' "><xsl:value-of select="$strUnknown"/></xsl:when><xsl:otherwise><xsl:value-of select="RequiredFirmwareVersion"/></xsl:otherwise></xsl:choose></xsl:when><xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise></xsl:choose></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="/OMA/Controllers/DCStorageObject/CurrentDriverVersion or $dynamicView = 'false'">
				<Data>
					<xsl:attribute name="value"><xsl:choose><xsl:when test="CurrentDriverVersion"><xsl:choose><xsl:when test="CurrentDriverVersion = '(null)' "><xsl:value-of select="$strUnknown"/></xsl:when><xsl:otherwise><xsl:value-of select="CurrentDriverVersion"/></xsl:otherwise></xsl:choose></xsl:when><xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise></xsl:choose></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="//RequiredDriverVersion or $dynamicView = 'false'">
				<Data>
					<xsl:attribute name="value"><xsl:choose><xsl:when test="RequiredDriverVersion"><xsl:choose><xsl:when test="RequiredDriverVersion= '(null)' "><xsl:value-of select="$strUnknown"/></xsl:when><xsl:otherwise><xsl:value-of select="RequiredDriverVersion"/></xsl:otherwise></xsl:choose></xsl:when><xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise></xsl:choose></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="//CurrentStorPortDriverVersion or $dynamicView = 'false'">
				<Data>
					<xsl:attribute name="value"><xsl:choose><xsl:when test="CurrentStorPortDriverVersion"><xsl:choose><xsl:when test="CurrentStorPortDriverVersion = '(null)' "><xsl:value-of select="$strUnknown"/></xsl:when><xsl:otherwise><xsl:value-of select="CurrentStorPortDriverVersion"/></xsl:otherwise></xsl:choose></xsl:when><xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise></xsl:choose></xsl:attribute>
				</Data>
			</xsl:if>
			<xsl:if test="//RequiredStorPortDriverVersion or $dynamicView = 'false'">
				<Data>
					<xsl:attribute name="value"><xsl:choose><xsl:when test="RequiredStorPortDriverVersion"><xsl:choose><xsl:when test="RequiredStorPortDriverVersion= '(null)' "><xsl:value-of select="$strUnknown"/></xsl:when><xsl:otherwise><xsl:value-of select="RequiredStorPortDriverVersion"/></xsl:otherwise></xsl:choose></xsl:when><xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise></xsl:choose></xsl:attribute>
				</Data>
			</xsl:if>
			<Data name="NumChannels" ignoreonweb="true">
				<xsl:choose> 
					<xsl:when test="ObjType = '786' or (BusProtocol ='9' and ServerGen = '48')">
						<xsl:attribute name="value"><xsl:value-of select="$strNotApplicable"/></xsl:attribute>
					</xsl:when>
                              <xsl:when test="Channels and BusProtocol != '9'">
						<xsl:attribute name="value"><xsl:value-of select="Channels"/></xsl:attribute>
					</xsl:when>
					<xsl:when test="BusProtocol = '9'">
						<xsl:attribute name="value"><xsl:value-of select="Channels"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value"><xsl:value-of select="$strNotAvailable"/></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>

			<Data name="RbldRate" editable="false" type="ustring" ignoreonweb="true">
				<xsl:attribute name="display"><xsl:value-of select="$strRebuildRate"/></xsl:attribute>
				<xsl:attribute name="value">
                    <xsl:choose>
                        <xsl:when test="count(RebuildRate)>0">
                            <xsl:choose>
                                <xsl:when test="RebuildRate = '(null)'"><xsl:value-of select="$strUnknown"/></xsl:when>
                                <xsl:when test="RebuildRate = '0' and PersonalityState = '2'"><xsl:value-of select="$strNotApplicable"/></xsl:when>
                                <xsl:otherwise><xsl:value-of select="RebuildRate"/>%</xsl:otherwise>
                            </xsl:choose>
                        </xsl:when>
                        <xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise></xsl:choose></xsl:attribute>
			</Data>

			<!--BGI Rate - if BGIRate tag exists, then display the value. Else display N/A -->
			<Data name="BGIRate" editable="false" type="ustring" ignoreonweb="true">
				<xsl:attribute name="value">
					<xsl:choose>
                        <xsl:when test="BGIRate = '(null)' "><xsl:value-of select="$strUnknown"/></xsl:when>
                        <xsl:when test="BGIRate = '0' and PersonalityState = '2'"><xsl:value-of select="$strNotApplicable"/></xsl:when>
						<xsl:when test="BGIRate"><xsl:value-of select="BGIRate"/>%</xsl:when>
						<xsl:otherwise>	<xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>

			<!--Check Consistency Rate - if CheckConsistencyRate tag exists, then display the value. Else display N/A -->
			<Data name="CheckConsistencyRate" editable="false" type="ustring" ignoreonweb="true">
				<xsl:attribute name="value">
					<xsl:choose>
                        <xsl:when test="CheckConsistencyRate = '(null)'"><xsl:value-of select="$strUnknown"/></xsl:when>
                        <xsl:when test="CheckConsistencyRate = '0' and PersonalityState = '2'"><xsl:value-of select="$strNotApplicable"/></xsl:when>
						<xsl:when test="CheckConsistencyRate"><xsl:value-of select="CheckConsistencyRate"/>%</xsl:when>
						<xsl:otherwise>	<xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>

			<!--Reconstruct Rate - if ReconstructionRate tag exists, then display the value. Else display N/A -->
			<Data name="ReconstructRate" editable="false" type="ustring" ignoreonweb="true">
				<xsl:attribute name="value">
					<xsl:choose>
                        <xsl:when test="ReconstructRate = '(null)'"><xsl:value-of select="$strUnknown"/></xsl:when>
                        <xsl:when test="ReconstructRate = '0' and PersonalityState = '2'"><xsl:value-of select="$strNotApplicable"/></xsl:when>
						<xsl:when test="ReconstructRate"><xsl:value-of select="ReconstructRate"/>%</xsl:when>
						<xsl:otherwise>	<xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>

      <!--Alarm State - If xmltag AlarmState is  defined in controller xml, then call GetAlarmState template with AlarmState as the parameter-->
			<!--Otherwise, call GetControllerAlarm with CurrentMethodMask as the paarmeter-->
			<Data name="Alarm" editable="false" type="ustring" ignoreonweb="true">
				<xsl:choose>
					<xsl:when test="AlarmState">
						<xsl:attribute name="value">
							<xsl:call-template name="GetAlarmState"><xsl:with-param name="state"><xsl:value-of select="AlarmState"/></xsl:with-param></xsl:call-template>									</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value">
							<xsl:call-template name="GetControllerAlarm"><xsl:with-param name="MethodValue"><xsl:value-of select="CurrentMethodMask"/></xsl:with-param></xsl:call-template>							</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</Data>
			
			<!--ClusterMode - If xmltag ClusterMode is  defined in controller xml, then call GetClusterMode template-->
			<!--ClusterMode - Otherwise, use isCluster variable which looks at controller's AttribMask tag-->
			<Data name="ClusterMode" editable="false" type="ustring" ignoreonweb="true">
				<xsl:choose>
					<xsl:when test="ClusterMode">
						<xsl:attribute name="value">
							<xsl:call-template name="GetClusterMode"><xsl:with-param name="mode"><xsl:value-of select="ClusterMode"/></xsl:with-param></xsl:call-template>
						</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="$isCluster='true'">
									<xsl:attribute name="value"><xsl:value-of select="$strEnabled"/></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
									<xsl:attribute name="value"><xsl:value-of select="$strNotApplicable"/></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</Data>

			<Data name="ScsiTgId" editable="false" type="ustring" ignoreonweb="true">
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="TargetID"><xsl:value-of select="TargetID"/></xsl:when>
						<xsl:otherwise>	<xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>

			<!--Cache Size - if CacheSize tag exists, then display cache size. Else display N/A -->
			<Data name="CacheSize" editable="false" type="ustring" ignoreonweb="true">
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="CacheSize"><xsl:value-of select="CacheSize"/> MB</xsl:when>
						<xsl:otherwise>	<xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>

			<!--Patrol Read Mode - check if PatrolReadMode tag exists. If yes, call GetPatrolReadMode template. Display N/A otherwise-->
			<Data name="PatReadMode" editable="false" type="ustring" ignoreonweb="true">
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="PatrolReadMode">
							<xsl:call-template name="GetPatrolReadMode"><xsl:with-param name="mode"><xsl:value-of select="PatrolReadMode"/></xsl:with-param></xsl:call-template>
						</xsl:when>
						<xsl:otherwise>	<xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>

			<!--Patrol Read State - check if PatrolReadState tag exists. If yes, call GetPatrolReadState template. Display N/A otherwise-->
			<Data name="PatReadState" editable="false" type="ustring" ignoreonweb="true">
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="PatrolReadState">
							<xsl:call-template name="GetPatrolReadState"><xsl:with-param name="state"><xsl:value-of select="PatrolReadState"/></xsl:with-param></xsl:call-template>
						</xsl:when>
						<xsl:otherwise>	<xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>

			<!--Patrol Read Rate - if PatrolReadRate tag exists, then display the value. Else display N/A -->
			<Data name="PatReadRate" editable="false" type="ustring" ignoreonweb="true">
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="PatrolReadRate"><xsl:value-of select="PatrolReadRate"/>%</xsl:when>
						<xsl:otherwise>	<xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>

			<!--Patrol Read Iterations - if PatrolReadIterations tag exists, then display the value. Else display N/A -->
			<Data name="PatReadIterations" editable="false" type="ustring" ignoreonweb="true">
				<xsl:attribute name="value">
					<xsl:choose>
						<xsl:when test="PatrolReadIterations"><xsl:value-of select="PatrolReadIterations"/></xsl:when>
						<xsl:otherwise>	<xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</Data>

      <Data name="AbortCheckConsistencyOnError" editable="false" type="ustring" ignoreonweb="true">
           <xsl:attribute name="value">
        <xsl:choose>
          <xsl:when test="AbortCheckConsistencyOnError">
              <xsl:call-template name="CLIGetAbortCConError">
                <xsl:with-param name="state">
                  <xsl:value-of select="AbortCheckConsistencyOnError"/>
                </xsl:with-param>
              </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
                 <xsl:value-of select="$strNotApplicable"/>
          </xsl:otherwise>
        </xsl:choose>
            </xsl:attribute>
      </Data>
      <Data name="Copyback" editable="false" type="ustring" ignoreonweb="true">
           <xsl:attribute name="value">
        <xsl:choose>
          <xsl:when test="Copyback">
              <xsl:call-template name="CLIGetCopyback">
                <xsl:with-param name="state">
                  <xsl:value-of select="Copyback"/>
                </xsl:with-param>
              </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
                 <xsl:value-of select="$strNotApplicable"/>
          </xsl:otherwise>
        </xsl:choose>
            </xsl:attribute>
      </Data>
      <Data name="Loadbalance" editable="false" type="ustring" ignoreonweb="true">
           <xsl:attribute name="value">
           <xsl:choose>
             <xsl:when test="substring(ChangeControllerPropertyMask,14,1)='1'"><xsl:value-of select="$strAuto"/></xsl:when>
             <xsl:when test="substring(ChangeControllerPropertyMask,13,1)='1'"><xsl:value-of select="$strDisabled"/></xsl:when>
             <xsl:otherwise>
                 <xsl:value-of select="$strNotApplicable"/>
             </xsl:otherwise>
           </xsl:choose>
          </xsl:attribute>
      </Data>

      <Data name="AutoCopybackOnPredictiveFailure" editable="false" type="ustring" ignoreonweb="true">
           <xsl:attribute name="value">
        <xsl:choose>
          <xsl:when test="AutoCopybackOnPredictiveFailure">
              <xsl:call-template name="CLIGetSmarter">
                <xsl:with-param name="state">
                  <xsl:value-of select="AutoCopybackOnPredictiveFailure"/>
                </xsl:with-param>
              </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
                 <xsl:value-of select="$strNotApplicable"/>
          </xsl:otherwise>
        </xsl:choose>
            </xsl:attribute>
      </Data>
     <Data name="ClearMultiPath" editable="false" type="ustring" ignoreonweb="true">
	  	<xsl:attribute name="value">
              <xsl:call-template name="CLIGetMultiPathview">
                <xsl:with-param name="AttributesMask"  select="AttributesMask"/>
                <xsl:with-param name="ChangeControllerPropertyMask" select="ChangeControllerPropertyMask"/>
              </xsl:call-template>
            </xsl:attribute>    
 	  </Data>
	
	   <Data name="SSCCapable" editable="false" type="ustring" ignoreonweb="true">
	      <xsl:attribute name="value">
              <xsl:choose>
                   <xsl:when test="substring(AttributesMask,2,1)='1'"><xsl:value-of select="$strYes"/></xsl:when>
                   <xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
               </xsl:choose> 
         </xsl:attribute>    
	  </Data>		
	
      <Data name="PersistentHS" editable="false" type="ustring" ignoreonweb="true">
      	<xsl:attribute name="value">
           		<xsl:choose>
             		<xsl:when test="substring(ChangeControllerPropertyMask,2,1)='1'"><xsl:value-of select="$strEnabled"/></xsl:when>
             		<xsl:when test="substring(ChangeControllerPropertyMask,3,1)='1'"><xsl:value-of select="$strDisabled"/></xsl:when>
             		<xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
           		</xsl:choose>
          	</xsl:attribute>
      </Data>
   
      <Data name="SecurityCapability" editable="false" type="ustring" ignoreonweb="true">
       <xsl:attribute name="value">
             <xsl:choose>
               <xsl:when test="substring(AttributesMask,9,1)='1'"><xsl:value-of select="$strYes"/></xsl:when>
               <xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
             </xsl:choose> 
       </xsl:attribute>    
      </Data>
      <Data name="SecurityKeyPresent" editable="false" type="ustring" ignoreonweb="true">
        <xsl:attribute name="value">
             <xsl:choose>
                <xsl:when test="substring(AttributesMask,8,1)='1' and substring(AttributesMask,9,1)='1' "><xsl:value-of select="$strYes"/></xsl:when>
                <xsl:when test="substring(AttributesMask,8,1)='0' and substring(AttributesMask,9,1)='1'"><xsl:value-of select="$strNo"/></xsl:when>
                <xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
              </xsl:choose> 
         </xsl:attribute>    

      </Data>
	   <Data name="SecurityMode" editable="false" type="ustring" ignoreonweb="true">
        <xsl:attribute name="value">
           <xsl:choose>
           <xsl:when test="SecurityMode">
             <xsl:choose>
                <xsl:when test="SecurityMode = '1' or (substring(AttributesMask,8,1)='1' and substring(AttributesMask,9,1)='1' )"><xsl:value-of select="$strLKM"/></xsl:when>
                <xsl:when test="SecurityMode = '2'"><xsl:value-of select="$strDKM"/></xsl:when>
 		    <xsl:when test="SecurityMode = '0'"><xsl:value-of select="$strNone"/></xsl:when>
		    <xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
             </xsl:choose> 
            </xsl:when>
            <xsl:otherwise>
             <xsl:choose>
                <xsl:when test="substring(AttributesMask,8,1)='1' and substring(AttributesMask,9,1)='1'"><xsl:value-of select="$strLKM"/></xsl:when>
                <xsl:when test="substring(AttributesMask,9,1)='1' and substring(AttributesMask,8,1)='0' "><xsl:value-of select="$strNone"/></xsl:when>
                <xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
             </xsl:choose>
            </xsl:otherwise>
          </xsl:choose>
            
         </xsl:attribute>    
      </Data>
	  <xsl:if test="//PreserveCacheStatus or $dynamicView = 'false'">
      <Data name="PreserveCacheStatus" editable="false" type="ustring" ignoreonweb="true">
	      <xsl:attribute name="value">
		    <xsl:choose>
			       <xsl:when test="//PreserveCacheStatus">
                  	<xsl:choose>			   
						<xsl:when test="PreserveCacheStatus = '1'"><xsl:value-of select="$strYes"/></xsl:when>
						<xsl:otherwise><xsl:value-of select="$strNo"/></xsl:otherwise>
				    </xsl:choose>
					</xsl:when>
				  <xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
             </xsl:choose> 
		  </xsl:attribute>
	  </Data>
	  </xsl:if>
    <xsl:if test="substring(DimmerPropertyMask,1,1)='1'">
	<Data name="UnconfiguredDrives" editable="false" type="ustring" ignoreonweb="true">
      	<xsl:attribute name="value">
           		<xsl:choose>
             		<xsl:when test="substring(DimmerPropertyMask,27,1)='1'"><xsl:value-of select="$strEnabled"/></xsl:when>
             		<xsl:when test="substring(DimmerPropertyMask,28,1)='1'"><xsl:value-of select="$strDisabled"/></xsl:when>
             		<xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
           		</xsl:choose>
          	</xsl:attribute>
      </Data>
	  <Data name="UnconfiguredHotspares" editable="false" type="ustring" ignoreonweb="true">
      	<xsl:attribute name="value">
           		<xsl:choose>
             		<xsl:when test="substring(DimmerPropertyMask,25,1)='1'"><xsl:value-of select="$strEnabled"/></xsl:when>
             		<xsl:when test="substring(DimmerPropertyMask,26,1)='1'"><xsl:value-of select="$strDisabled"/></xsl:when>
             		<xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
           		</xsl:choose>
          	</xsl:attribute>
      </Data>
	 
	 
	  <Data name="ConfiguredDrives" editable="false" type="ustring" ignoreonweb="true">
      	<xsl:attribute name="value">
           		<xsl:choose>
             		<xsl:when test="substring(DimmerPropertyMask,23,1)='1' and SupportPowerSavings = '1'"><xsl:value-of select="$strEnabled"/></xsl:when>
             		<xsl:when test="substring(DimmerPropertyMask,24,1)='1' and SupportPowerSavings = '1'"><xsl:value-of select="$strDisabled"/></xsl:when>
             		<xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
           		</xsl:choose>
          	</xsl:attribute>
      </Data>
	  <Data name="Idle_C" editable="false" type="ustring" ignoreonweb="true">
      	<xsl:attribute name="value">
           		<xsl:choose>
             		<xsl:when test="substring(DimmerPropertyMask,21,1)='1' and SupportPowerSavings = '1'"><xsl:value-of select="$strEnabled"/></xsl:when>
             		<xsl:when test="substring(DimmerPropertyMask,22,1)='1' and SupportPowerSavings = '1'"><xsl:value-of select="$strDisabled"/></xsl:when>
             		<xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
           		</xsl:choose>
          	</xsl:attribute>
     </Data>
		<xsl:choose>
			<xsl:when test="SupportPowerSavings = '1'">
				<xsl:if test="substring(DimmerPropertyMask,25,1)='1' or substring(DimmerPropertyMask,27,1)='1' or substring(DimmerPropertyMask,23,1)='1' or substring(DimmerPropertyMask,21,1)='1'">
					<Data name="SpindownTimeInterval" editable="false" type="ustring" ignoreonweb="true">
						<xsl:attribute name="value">
							<xsl:choose>
								<xsl:when test="SpinDownTime"><xsl:value-of select="SpinDownTime"/></xsl:when>
								<xsl:otherwise>	<xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>
				</xsl:if>

				<Data name="SpinupStartTime" editable="false" type="ustring" ignoreonweb="true">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="substring(DimmerPropertyMask,23,1)='1'"><xsl:value-of select="DisableLDPSTime"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>    
				</Data>
				<Data name="SpinupTimeInterval" editable="false" type="ustring" ignoreonweb="true">
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test="substring(DimmerPropertyMask,23,1)='1'"><xsl:value-of select="DisableLDPSInterval"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>    
				</Data>

			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="substring(DimmerPropertyMask,25,1)='1' or substring(DimmerPropertyMask,27,1)='1'">
					<Data name="SpindownTimeInterval" editable="false" type="ustring" ignoreonweb="true">
						<xsl:attribute name="value">
							<xsl:choose>
								<xsl:when test="SpinDownTime"><xsl:value-of select="SpinDownTime"/></xsl:when>
								<xsl:otherwise>	<xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
					</Data>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	 </xsl:if>
	  
	<Data name="CtrlPICapable" editable="false" type="ustring" ignoreonweb="true">
		<xsl:attribute name="value">
			<xsl:choose>
				<xsl:when test="(CtrlPICapable = '1')"><xsl:value-of select="$strYes"/></xsl:when>
				<xsl:otherwise><xsl:value-of select="$strNo"/></xsl:otherwise>
			</xsl:choose> 
		</xsl:attribute>     
	</Data> 
    <Data name="NonRaidDiskCachePolicy" editable="false" type="ustring" ignoreonweb="true">
		<xsl:attribute name="value">
			<xsl:choose>
                <xsl:when test="(DiskWriteCache = '0')"><xsl:value-of select="$strUnchanged"/></xsl:when>
                <xsl:when test="(DiskWriteCache = '1')"><xsl:value-of select="$strEnabled"/></xsl:when>
                <xsl:when test="(DiskWriteCache = '2')"><xsl:value-of select="$strDisabled"/></xsl:when>
                <xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
            </xsl:choose>
		</xsl:attribute>     
	</Data>
	<xsl:if test="PersonalityState">
		<Data name="PersonalityState" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="(PersonalityState = '0' or PersonalityState = '1')"><xsl:value-of select="$strRAID"/></xsl:when>
					<xsl:when test="(PersonalityState = '2')"><xsl:value-of select="$strHBA"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
				</xsl:choose> 
			</xsl:attribute>     
		</Data>
	</xsl:if>
	<xsl:if test="CtrlStashSlot">
		<Data name="CtrlStashSlot" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="CtrlStashSlot and CtrlStashSlot !=''"><xsl:value-of select="CtrlStashSlot"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
				</xsl:choose> 
			</xsl:attribute>     
		</Data>
	</xsl:if>
	
	<xsl:if test="CtrlStashInst">
		<Data name="CtrlStashInst" editable="false" type="ustring" ignoreonweb="true">
			<xsl:attribute name="value">
				<xsl:choose>
					<xsl:when test="CtrlStashInst and CtrlStashInst !=''"><xsl:value-of select="CtrlStashInst"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="$strNotApplicable"/></xsl:otherwise>
				</xsl:choose> 
			</xsl:attribute>     
		</Data>
	</xsl:if>
	  
	</Row>
	</xsl:template>
</xsl:stylesheet>

