<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSPY v5 rel. 4 U (http://www.xmlspy.com) by bg (Dell Computer Corporation) -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- This XSL Stylesheet is used to handle Storage Services Message IDs -->
	<xsl:template name="GetMessage">
		<xsl:param name="ErrorID"/>
    <xsl:param name="WSManError"/>
		<!-- The value of ErrorID is in range 2048 to 3072. This is converted to a scale of 0 to 1023.-->
		<!-- Message files in language directory have messages mapped for error ids in range 0 to 1023, hence the conversion -->
		<xsl:variable name="OffsetErrorID">
			<xsl:choose>
				<xsl:when test="$ErrorID >= 2048"><xsl:value-of select="number($ErrorID) - 2048"/></xsl:when>
				<xsl:otherwise><xsl:value-of select="$ErrorID"/></xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:choose>
      <xsl:when test="$OffsetErrorID='-2'"><xsl:value-of select="$strErrorID_MinusTwo_Escrow"/></xsl:when>
      <xsl:when test="$OffsetErrorID='-3'"><xsl:value-of select="$strErrorID_MinusThree_Escrow"/></xsl:when>
      <xsl:when test="$OffsetErrorID='-5'"><xsl:value-of select="$strErrorID_MinusFive_Escrow"/></xsl:when>
      <xsl:when test="$OffsetErrorID='-6'"><xsl:value-of select="$strErrorID_MinusSix_Escrow"/></xsl:when>
      <xsl:when test="$OffsetErrorID='-7'"><xsl:value-of select="$strErrorID_MinusSeven_Escrow"/></xsl:when>
      <xsl:when test="$OffsetErrorID='-8'"><xsl:value-of select="$strErrorID_Minus8_EscrowCli"/></xsl:when>
      <xsl:when test="$OffsetErrorID='-9'"><xsl:value-of select="$strErrorID_Minus9_EscrowCli"/></xsl:when>
      <xsl:when test="$OffsetErrorID='-10'"><xsl:value-of select="$strErrorID_Minus10_EscrowCli"/></xsl:when>
      <xsl:when test="$OffsetErrorID='-11'"><xsl:value-of select="$strErrorID_Minus11_EscrowCli"/></xsl:when>      
      <xsl:when test="$OffsetErrorID='-12'"><xsl:value-of select="$strErrorID_Minus12_EscrowCli"/></xsl:when>
      <xsl:when test="$OffsetErrorID='-13'"><xsl:value-of select="$strErrorID_Minus13_EscrowCli"/></xsl:when>
      <xsl:when test="$OffsetErrorID='-14'"><xsl:value-of select="$strErrorID_Minus14_SlotReportCli"/></xsl:when>
      <xsl:when test="$OffsetErrorID='-15'"><xsl:value-of select="$strErrorID_Minus15_NoLockedDrive"/></xsl:when>
      <xsl:when test="$OffsetErrorID='0'"><xsl:value-of select="$strErrorID0"/></xsl:when>
			<xsl:when test="$OffsetErrorID='1'"><xsl:value-of select="$strErrorID1"/></xsl:when>
			<xsl:when test="$OffsetErrorID='2'"><xsl:value-of select="$strErrorID2"/></xsl:when>
			<xsl:when test="$OffsetErrorID='3'"><xsl:value-of select="$strErrorID3"/></xsl:when>
			<xsl:when test="$OffsetErrorID='4'"><xsl:value-of select="$strErrorID4"/></xsl:when>
			<xsl:when test="$OffsetErrorID='5'"><xsl:value-of select="$strErrorID5"/></xsl:when>
			<xsl:when test="$OffsetErrorID='6'"><xsl:value-of select="$strErrorID6"/></xsl:when>
			<xsl:when test="$OffsetErrorID='7'"><xsl:value-of select="$strErrorID7"/></xsl:when>
			<xsl:when test="$OffsetErrorID='8'"><xsl:value-of select="$strErrorID8"/></xsl:when>
			<xsl:when test="$OffsetErrorID='9'"><xsl:value-of select="$strErrorID9"/></xsl:when>
			<xsl:when test="$OffsetErrorID='10'"><xsl:value-of select="$strErrorID10"/></xsl:when>
			<xsl:when test="$OffsetErrorID='11'"><xsl:value-of select="$strErrorID11"/></xsl:when>
			<xsl:when test="$OffsetErrorID='12'"><xsl:value-of select="$strErrorID12"/></xsl:when>
			<xsl:when test="$OffsetErrorID='13'"><xsl:value-of select="$strErrorID13"/></xsl:when>
			<xsl:when test="$OffsetErrorID='14'"><xsl:value-of select="$strErrorID14"/></xsl:when>
			<xsl:when test="$OffsetErrorID='15'"><xsl:value-of select="$strErrorID15"/></xsl:when>
			<xsl:when test="$OffsetErrorID='16'"><xsl:value-of select="$strErrorID16"/></xsl:when>
			<xsl:when test="$OffsetErrorID='17'"><xsl:value-of select="$strErrorID17"/></xsl:when>
			<xsl:when test="$OffsetErrorID='18'"><xsl:value-of select="$strErrorID18"/></xsl:when>
			<xsl:when test="$OffsetErrorID='19'"><xsl:value-of select="$strErrorID19"/></xsl:when>
			<xsl:when test="$OffsetErrorID='20'"><xsl:value-of select="$strErrorID20"/></xsl:when>
			<xsl:when test="$OffsetErrorID='21'"><xsl:value-of select="$strErrorID21"/></xsl:when>
			<xsl:when test="$OffsetErrorID='22'"><xsl:value-of select="$strErrorID22"/></xsl:when>
			<xsl:when test="$OffsetErrorID='23'"><xsl:value-of select="$strErrorID23"/></xsl:when>
			<xsl:when test="$OffsetErrorID='24'"><xsl:value-of select="$strErrorID24"/></xsl:when>
			<xsl:when test="$OffsetErrorID='25'"><xsl:value-of select="$strErrorID25"/></xsl:when>
			<xsl:when test="$OffsetErrorID='26'"><xsl:value-of select="$strErrorID26"/></xsl:when>
			<xsl:when test="$OffsetErrorID='27'"><xsl:value-of select="$strErrorID27"/></xsl:when>
			<xsl:when test="$OffsetErrorID='28'"><xsl:value-of select="$strErrorID28"/></xsl:when>
			<xsl:when test="$OffsetErrorID='29'"><xsl:value-of select="$strErrorID29"/></xsl:when>
			<xsl:when test="$OffsetErrorID='30'"><xsl:value-of select="$strErrorID30"/></xsl:when>
			<xsl:when test="$OffsetErrorID='31'"><xsl:value-of select="$strErrorID31"/></xsl:when>
			<xsl:when test="$OffsetErrorID='32'"><xsl:value-of select="$strErrorID32"/></xsl:when>
			<xsl:when test="$OffsetErrorID='33'"><xsl:value-of select="$strErrorID33"/></xsl:when>
			<xsl:when test="$OffsetErrorID='34'"><xsl:value-of select="$strErrorID34"/></xsl:when>
			<xsl:when test="$OffsetErrorID='35'"><xsl:value-of select="$strErrorID35"/></xsl:when>
			<xsl:when test="$OffsetErrorID='36'"><xsl:value-of select="$strErrorID36"/></xsl:when>
			<xsl:when test="$OffsetErrorID='37'"><xsl:value-of select="$strErrorID37"/></xsl:when>
			<xsl:when test="$OffsetErrorID='38'"><xsl:value-of select="$strErrorID38"/></xsl:when>
			<xsl:when test="$OffsetErrorID='39'"><xsl:value-of select="$strErrorID39"/></xsl:when>
			<xsl:when test="$OffsetErrorID='40'"><xsl:value-of select="$strErrorID40"/></xsl:when>
			<xsl:when test="$OffsetErrorID='41'"><xsl:value-of select="$strErrorID41"/></xsl:when>
			<xsl:when test="$OffsetErrorID='42'"><xsl:value-of select="$strErrorID42"/></xsl:when>
			<xsl:when test="$OffsetErrorID='43'"><xsl:value-of select="$strErrorID43"/></xsl:when>
			<xsl:when test="$OffsetErrorID='44'"><xsl:value-of select="$strErrorID44"/></xsl:when>
			<xsl:when test="$OffsetErrorID='45'"><xsl:value-of select="$strErrorID45"/></xsl:when>
			<xsl:when test="$OffsetErrorID='46'"><xsl:value-of select="$strErrorID46"/></xsl:when>
			<xsl:when test="$OffsetErrorID='47'"><xsl:value-of select="$strErrorID47"/></xsl:when>
			<xsl:when test="$OffsetErrorID='48'"><xsl:value-of select="$strErrorID48"/></xsl:when>
			<xsl:when test="$OffsetErrorID='49'"><xsl:value-of select="$strErrorID49"/></xsl:when>
			<xsl:when test="$OffsetErrorID='50'"><xsl:value-of select="$strErrorID50"/></xsl:when>
			<xsl:when test="$OffsetErrorID='51'"><xsl:value-of select="$strErrorID51"/></xsl:when>
			<xsl:when test="$OffsetErrorID='52'"><xsl:value-of select="$strErrorID52"/></xsl:when>
			<xsl:when test="$OffsetErrorID='53'"><xsl:value-of select="$strErrorID53"/></xsl:when>
			<xsl:when test="$OffsetErrorID='54'"><xsl:value-of select="$strErrorID54"/></xsl:when>
			<xsl:when test="$OffsetErrorID='55'"><xsl:value-of select="$strErrorID55"/></xsl:when>
			<xsl:when test="$OffsetErrorID='56'"><xsl:value-of select="$strErrorID56"/></xsl:when>
			<xsl:when test="$OffsetErrorID='57'"><xsl:value-of select="$strErrorID57"/></xsl:when>
			<xsl:when test="$OffsetErrorID='58'"><xsl:value-of select="$strErrorID58"/></xsl:when>
			<xsl:when test="$OffsetErrorID='59'"><xsl:value-of select="$strErrorID59"/></xsl:when>
			<xsl:when test="$OffsetErrorID='60'"><xsl:value-of select="$strErrorID60"/></xsl:when>
			<xsl:when test="$OffsetErrorID='61'"><xsl:value-of select="$strErrorID61"/></xsl:when>
			<xsl:when test="$OffsetErrorID='62'"><xsl:value-of select="$strErrorID62"/></xsl:when>
			<xsl:when test="$OffsetErrorID='63'"><xsl:value-of select="$strErrorID63"/></xsl:when>
			<xsl:when test="$OffsetErrorID='64'"><xsl:value-of select="$strErrorID64"/></xsl:when>
			<xsl:when test="$OffsetErrorID='65'"><xsl:value-of select="$strErrorID65"/></xsl:when>
			<xsl:when test="$OffsetErrorID='66'"><xsl:value-of select="$strErrorID66"/></xsl:when>
			<xsl:when test="$OffsetErrorID='67'"><xsl:value-of select="$strErrorID67"/></xsl:when>
			<xsl:when test="$OffsetErrorID='68'"><xsl:value-of select="$strErrorID68"/></xsl:when>
			<xsl:when test="$OffsetErrorID='69'"><xsl:value-of select="$strErrorID69"/></xsl:when>
			<xsl:when test="$OffsetErrorID='70'"><xsl:value-of select="$strErrorID70"/></xsl:when>
			<xsl:when test="$OffsetErrorID='71'"><xsl:value-of select="$strErrorID71"/></xsl:when>
			<xsl:when test="$OffsetErrorID='72'"><xsl:value-of select="$strErrorID72"/></xsl:when>
			<xsl:when test="$OffsetErrorID='73'"><xsl:value-of select="$strErrorID73"/></xsl:when>
			<xsl:when test="$OffsetErrorID='74'"><xsl:value-of select="$strErrorID74"/></xsl:when>
			<xsl:when test="$OffsetErrorID='75'"><xsl:value-of select="$strErrorID75"/></xsl:when>
			<xsl:when test="$OffsetErrorID='76'"><xsl:value-of select="$strErrorID76"/></xsl:when>
			<xsl:when test="$OffsetErrorID='77'"><xsl:value-of select="$strErrorID77"/></xsl:when>
			<xsl:when test="$OffsetErrorID='78'"><xsl:value-of select="$strErrorID78"/></xsl:when>
			<xsl:when test="$OffsetErrorID='79'"><xsl:value-of select="$strErrorID79"/></xsl:when>
			<xsl:when test="$OffsetErrorID='80'"><xsl:value-of select="$strErrorID80"/></xsl:when>
			<xsl:when test="$OffsetErrorID='81'"><xsl:value-of select="$strErrorID81"/></xsl:when>
			<xsl:when test="$OffsetErrorID='82'"><xsl:value-of select="$strErrorID82"/></xsl:when>
			<xsl:when test="$OffsetErrorID='83'"><xsl:value-of select="$strErrorID83"/></xsl:when>
			<xsl:when test="$OffsetErrorID='84'"><xsl:value-of select="$strErrorID84"/></xsl:when>
			<xsl:when test="$OffsetErrorID='85'"><xsl:value-of select="$strErrorID85"/></xsl:when>
			<xsl:when test="$OffsetErrorID='86'"><xsl:value-of select="$strErrorID86"/></xsl:when>
			<xsl:when test="$OffsetErrorID='87'"><xsl:value-of select="$strErrorID87"/></xsl:when>
			<xsl:when test="$OffsetErrorID='88'"><xsl:value-of select="$strErrorID88"/></xsl:when>
			<xsl:when test="$OffsetErrorID='89'"><xsl:value-of select="$strErrorID89"/></xsl:when>
			<xsl:when test="$OffsetErrorID='90'"><xsl:value-of select="$strErrorID90"/></xsl:when>
			<xsl:when test="$OffsetErrorID='91'"><xsl:value-of select="$strErrorID91"/></xsl:when>
			<xsl:when test="$OffsetErrorID='92'"><xsl:value-of select="$strErrorID92"/></xsl:when>
			<xsl:when test="$OffsetErrorID='93'"><xsl:value-of select="$strErrorID93"/></xsl:when>
			<xsl:when test="$OffsetErrorID='94'"><xsl:value-of select="$strErrorID94"/></xsl:when>
			<xsl:when test="$OffsetErrorID='95'"><xsl:value-of select="$strErrorID95"/></xsl:when>
			<xsl:when test="$OffsetErrorID='96'"><xsl:value-of select="$strErrorID96"/></xsl:when>
			<xsl:when test="$OffsetErrorID='97'"><xsl:value-of select="$strErrorID97"/></xsl:when>
			<xsl:when test="$OffsetErrorID='98'"><xsl:value-of select="$strErrorID98"/></xsl:when>
			<xsl:when test="$OffsetErrorID='99'"><xsl:value-of select="$strErrorID99"/></xsl:when>
			<xsl:when test="$OffsetErrorID='100'"><xsl:value-of select="$strErrorID100"/></xsl:when>
			<xsl:when test="$OffsetErrorID='101'"><xsl:value-of select="$strErrorID101"/></xsl:when>
			<xsl:when test="$OffsetErrorID='102'"><xsl:value-of select="$strErrorID102"/></xsl:when>
			<xsl:when test="$OffsetErrorID='103'"><xsl:value-of select="$strErrorID103"/></xsl:when>
			<xsl:when test="$OffsetErrorID='104'"><xsl:value-of select="$strErrorID104"/></xsl:when>
			<xsl:when test="$OffsetErrorID='105'"><xsl:value-of select="$strErrorID105"/></xsl:when>
			<xsl:when test="$OffsetErrorID='106'"><xsl:value-of select="$strErrorID106"/></xsl:when>
			<xsl:when test="$OffsetErrorID='107'"><xsl:value-of select="$strErrorID107"/></xsl:when>
			<xsl:when test="$OffsetErrorID='108'"><xsl:value-of select="$strErrorID108"/></xsl:when>
			<xsl:when test="$OffsetErrorID='109'"><xsl:value-of select="$strErrorID109"/></xsl:when>
			<xsl:when test="$OffsetErrorID='110'"><xsl:value-of select="$strErrorID110"/></xsl:when>
			<xsl:when test="$OffsetErrorID='111'"><xsl:value-of select="$strErrorID111"/></xsl:when>
			<xsl:when test="$OffsetErrorID='112'"><xsl:value-of select="$strErrorID112"/></xsl:when>
			<xsl:when test="$OffsetErrorID='113'"><xsl:value-of select="$strErrorID113"/></xsl:when>
			<xsl:when test="$OffsetErrorID='114'"><xsl:value-of select="$strErrorID114"/></xsl:when>
			<xsl:when test="$OffsetErrorID='115'"><xsl:value-of select="$strErrorID115"/></xsl:when>
			<xsl:when test="$OffsetErrorID='116'"><xsl:value-of select="$strErrorID116"/></xsl:when>
			<xsl:when test="$OffsetErrorID='117'"><xsl:value-of select="$strErrorID117"/></xsl:when>
			<xsl:when test="$OffsetErrorID='118'"><xsl:value-of select="$strErrorID118"/></xsl:when>
			<xsl:when test="$OffsetErrorID='119'"><xsl:value-of select="$strErrorID119"/></xsl:when>
			<xsl:when test="$OffsetErrorID='120'"><xsl:value-of select="$strErrorID120"/></xsl:when>
			<xsl:when test="$OffsetErrorID='121'"><xsl:value-of select="$strErrorID121"/></xsl:when>
			<xsl:when test="$OffsetErrorID='122'"><xsl:value-of select="$strErrorID122"/></xsl:when>
			<xsl:when test="$OffsetErrorID='123'"><xsl:value-of select="$strErrorID123"/></xsl:when>
			<xsl:when test="$OffsetErrorID='124'"><xsl:value-of select="$strErrorID124"/></xsl:when>
			<xsl:when test="$OffsetErrorID='125'"><xsl:value-of select="$strErrorID125"/></xsl:when>
			<xsl:when test="$OffsetErrorID='126'"><xsl:value-of select="$strErrorID126"/></xsl:when>
			<xsl:when test="$OffsetErrorID='127'"><xsl:value-of select="$strErrorID127"/></xsl:when>
			<xsl:when test="$OffsetErrorID='128'"><xsl:value-of select="$strErrorID128"/></xsl:when>
			<xsl:when test="$OffsetErrorID='129'"><xsl:value-of select="$strErrorID129"/></xsl:when>
			<xsl:when test="$OffsetErrorID='130'"><xsl:value-of select="$strErrorID130"/></xsl:when>
			<xsl:when test="$OffsetErrorID='131'"><xsl:value-of select="$strErrorID131"/></xsl:when>
			<xsl:when test="$OffsetErrorID='132'"><xsl:value-of select="$strErrorID132"/></xsl:when>
			<xsl:when test="$OffsetErrorID='133'"><xsl:value-of select="$strErrorID133"/></xsl:when>
			<xsl:when test="$OffsetErrorID='134'"><xsl:value-of select="$strErrorID134"/></xsl:when>
			<xsl:when test="$OffsetErrorID='135'"><xsl:value-of select="$strErrorID135"/></xsl:when>
			<xsl:when test="$OffsetErrorID='136'"><xsl:value-of select="$strErrorID136"/></xsl:when>
			<xsl:when test="$OffsetErrorID='137'"><xsl:value-of select="$strErrorID137"/></xsl:when>
			<xsl:when test="$OffsetErrorID='138'"><xsl:value-of select="$strErrorID138"/></xsl:when>
			<xsl:when test="$OffsetErrorID='139'"><xsl:value-of select="$strErrorID139"/></xsl:when>
			<xsl:when test="$OffsetErrorID='140'"><xsl:value-of select="$strErrorID140"/></xsl:when>
			<xsl:when test="$OffsetErrorID='141'"><xsl:value-of select="$strErrorID141"/></xsl:when>
			<xsl:when test="$OffsetErrorID='142'"><xsl:value-of select="$strErrorID142"/></xsl:when>
			<xsl:when test="$OffsetErrorID='143'"><xsl:value-of select="$strErrorID143"/></xsl:when>
			<xsl:when test="$OffsetErrorID='144'"><xsl:value-of select="$strErrorID144"/></xsl:when>
			<xsl:when test="$OffsetErrorID='145'"><xsl:value-of select="$strErrorID145"/></xsl:when>
			<xsl:when test="$OffsetErrorID='146'"><xsl:value-of select="$strErrorID146"/></xsl:when>
			<xsl:when test="$OffsetErrorID='147'"><xsl:value-of select="$strErrorID147"/></xsl:when>
			<xsl:when test="$OffsetErrorID='148'"><xsl:value-of select="$strErrorID148"/></xsl:when>
			<xsl:when test="$OffsetErrorID='149'"><xsl:value-of select="$strErrorID149"/></xsl:when>
			<xsl:when test="$OffsetErrorID='150'"><xsl:value-of select="$strErrorID150"/></xsl:when>
			<xsl:when test="$OffsetErrorID='151'"><xsl:value-of select="$strErrorID151"/></xsl:when>
			<xsl:when test="$OffsetErrorID='152'"><xsl:value-of select="$strErrorID152"/></xsl:when>
			<xsl:when test="$OffsetErrorID='153'"><xsl:value-of select="$strErrorID153"/></xsl:when>
			<xsl:when test="$OffsetErrorID='154'"><xsl:value-of select="$strErrorID154"/></xsl:when>
			<xsl:when test="$OffsetErrorID='155'"><xsl:value-of select="$strErrorID155"/></xsl:when>
			<xsl:when test="$OffsetErrorID='156'"><xsl:value-of select="$strErrorID156"/></xsl:when>
			<xsl:when test="$OffsetErrorID='157'"><xsl:value-of select="$strErrorID157"/></xsl:when>
			<xsl:when test="$OffsetErrorID='158'"><xsl:value-of select="$strErrorID158"/></xsl:when>
			<xsl:when test="$OffsetErrorID='159'"><xsl:value-of select="$strErrorID159"/></xsl:when>
			<xsl:when test="$OffsetErrorID='160'"><xsl:value-of select="$strErrorID160"/></xsl:when>
			<xsl:when test="$OffsetErrorID='161'"><xsl:value-of select="$strErrorID161"/></xsl:when>
			<xsl:when test="$OffsetErrorID='162'"><xsl:value-of select="$strErrorID162"/></xsl:when>
			<xsl:when test="$OffsetErrorID='163'"><xsl:value-of select="$strErrorID163"/></xsl:when>
			<xsl:when test="$OffsetErrorID='164'"><xsl:value-of select="$strErrorID164"/></xsl:when>
			<xsl:when test="$OffsetErrorID='165'"><xsl:value-of select="$strErrorID165"/></xsl:when>
			<xsl:when test="$OffsetErrorID='166'"><xsl:value-of select="$strErrorID166"/></xsl:when>
			<xsl:when test="$OffsetErrorID='167'"><xsl:value-of select="$strErrorID167"/></xsl:when>
			<xsl:when test="$OffsetErrorID='168'"><xsl:value-of select="$strErrorID168"/></xsl:when>
			<xsl:when test="$OffsetErrorID='169'"><xsl:value-of select="$strErrorID169"/></xsl:when>
			<xsl:when test="$OffsetErrorID='170'"><xsl:value-of select="$strErrorID170"/></xsl:when>
			<xsl:when test="$OffsetErrorID='172'"><xsl:value-of select="$strErrorID172"/></xsl:when>
			<xsl:when test="$OffsetErrorID='173'"><xsl:value-of select="$strErrorID173"/></xsl:when>
			<xsl:when test="$OffsetErrorID='174'"><xsl:value-of select="$strErrorID174"/></xsl:when>
			<xsl:when test="$OffsetErrorID='176'"><xsl:value-of select="$strErrorID176"/></xsl:when>
			<xsl:when test="$OffsetErrorID='177'"><xsl:value-of select="$strErrorID177"/></xsl:when>
			<xsl:when test="$OffsetErrorID='178'"><xsl:value-of select="$strErrorID178"/></xsl:when>
			<xsl:when test="$OffsetErrorID='179'"><xsl:value-of select="$strErrorID179"/></xsl:when>
			<xsl:when test="$OffsetErrorID='180'"><xsl:value-of select="$strErrorID180"/></xsl:when>
			<xsl:when test="$OffsetErrorID='181'"><xsl:value-of select="$strErrorID181"/></xsl:when>
			<xsl:when test="$OffsetErrorID='182'"><xsl:value-of select="$strErrorID182"/></xsl:when>
			<xsl:when test="$OffsetErrorID='183'"><xsl:value-of select="$strErrorID183"/></xsl:when>
			<xsl:when test="$OffsetErrorID='184'"><xsl:value-of select="$strErrorID184"/></xsl:when>
			<xsl:when test="$OffsetErrorID='185'"><xsl:value-of select="$strErrorID185"/></xsl:when>
			<xsl:when test="$OffsetErrorID='189'"><xsl:value-of select="$strErrorID189"/></xsl:when>
			<xsl:when test="$OffsetErrorID='191'"><xsl:value-of select="$strErrorID191"/></xsl:when>
			<xsl:when test="$OffsetErrorID='192'"><xsl:value-of select="$strErrorID192"/></xsl:when>
			<xsl:when test="$OffsetErrorID='193'"><xsl:value-of select="$strErrorID193"/></xsl:when>
			<xsl:when test="$OffsetErrorID='194'"><xsl:value-of select="$strErrorID194"/></xsl:when>
			<xsl:when test="$OffsetErrorID='195'"><xsl:value-of select="$strErrorID195"/></xsl:when>
			<xsl:when test="$OffsetErrorID='197'"><xsl:value-of select="$strErrorID197"/></xsl:when>
			<xsl:when test="$OffsetErrorID='200'"><xsl:value-of select="$strErrorID200"/></xsl:when>

                  <!-- 199 to 208 are foreign config error codes check utils.xsl file for those codes.-->
                  <xsl:when test="$OffsetErrorID='211'"><xsl:value-of select="$strErrorID211"/></xsl:when>
			<xsl:when test="$OffsetErrorID='212'"><xsl:value-of select="$strErrorID212"/></xsl:when>
			<xsl:when test="$OffsetErrorID='213'"><xsl:value-of select="$strErrorID213"/></xsl:when>
			<xsl:when test="$OffsetErrorID='214'"><xsl:value-of select="$strErrorID214"/></xsl:when>
			<xsl:when test="$OffsetErrorID='215'"><xsl:value-of select="$strErrorID215"/></xsl:when>
			<xsl:when test="$OffsetErrorID='216'"><xsl:value-of select="$strErrorID216"/></xsl:when>
			<xsl:when test="$OffsetErrorID='217'"><xsl:value-of select="$strErrorID217"/></xsl:when>
			<xsl:when test="$OffsetErrorID='218'"><xsl:value-of select="$strErrorID218"/></xsl:when>
			<xsl:when test="$OffsetErrorID='222'"><xsl:value-of select="$strErrorID222"/></xsl:when>
			<xsl:when test="$OffsetErrorID='223'"><xsl:value-of select="$strErrorID223"/></xsl:when>
			<xsl:when test="$OffsetErrorID='224'"><xsl:value-of select="$strErrorID224"/></xsl:when>
			<xsl:when test="$OffsetErrorID='225'"><xsl:value-of select="$strErrorID225"/></xsl:when>
			<xsl:when test="$OffsetErrorID='226'"><xsl:value-of select="$strErrorID226"/></xsl:when>
			<xsl:when test="$OffsetErrorID='227'"><xsl:value-of select="$strErrorID227"/></xsl:when>
			<!-- Currently 228 (2276) is not used -->
			<xsl:when test="$OffsetErrorID='229'"><xsl:value-of select="$strErrorID229"/></xsl:when>
			<xsl:when test="$OffsetErrorID='230'"><xsl:value-of select="$strErrorID230"/></xsl:when>
			<xsl:when test="$OffsetErrorID='231'"><xsl:value-of select="$strErrorID231"/></xsl:when>
			<xsl:when test="$OffsetErrorID='232'"><xsl:value-of select="$strErrorID232"/></xsl:when>
			<xsl:when test="$OffsetErrorID='233'"><xsl:value-of select="$strErrorID233"/></xsl:when>
			<xsl:when test="$OffsetErrorID='234'"><xsl:value-of select="$strErrorID234"/></xsl:when>
			<xsl:when test="$OffsetErrorID='235'"><xsl:value-of select="$strErrorID235"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='236'"><xsl:value-of select="$strErrorID236"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='237'"><xsl:value-of select="$strErrorID237"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='238'"><xsl:value-of select="$strErrorID238"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='239'"><xsl:value-of select="$strErrorID239"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='241'"><xsl:value-of select="$strErrorID241"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='242'"><xsl:value-of select="$strErrorID242"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='243'"><xsl:value-of select="$strErrorID243"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='244'"><xsl:value-of select="$strErrorID244"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='245'"><xsl:value-of select="$strErrorID245"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='246'"><xsl:value-of select="$strErrorID246"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='247'"><xsl:value-of select="$strErrorID247"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='248'"><xsl:value-of select="$strErrorID248"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='249'"><xsl:value-of select="$strErrorID249"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='250'"><xsl:value-of select="$strErrorID250"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='251'"><xsl:value-of select="$strErrorID251"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='252'"><xsl:value-of select="$strErrorID252"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='253'"><xsl:value-of select="$strErrorID253"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='254'"><xsl:value-of select="$strErrorID254"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='255'"><xsl:value-of select="$strErrorID255"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='256'"><xsl:value-of select="$strErrorID256"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='257'"><xsl:value-of select="$strErrorID257"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='258'"><xsl:value-of select="$strErrorID258"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='259'"><xsl:value-of select="$strErrorID259"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='260'"><xsl:value-of select="$strErrorID260"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='261'"><xsl:value-of select="$strErrorID261"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='262'"><xsl:value-of select="$strErrorID262"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='263'"><xsl:value-of select="$strErrorID263"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='264'"><xsl:value-of select="$strErrorID264"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='265'"><xsl:value-of select="$strErrorID265"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='266'"><xsl:value-of select="$strErrorID266"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='267'"><xsl:value-of select="$strErrorID267"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='268'"><xsl:value-of select="$strErrorID268"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='269'"><xsl:value-of select="$strErrorID269"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='270'"><xsl:value-of select="$strErrorID270"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='271'"><xsl:value-of select="$strErrorID271"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='272'"><xsl:value-of select="$strErrorID272"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='273'"><xsl:value-of select="$strErrorID273"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='274'"><xsl:value-of select="$strErrorID274"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='275'"><xsl:value-of select="$strErrorID275"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='276'"><xsl:value-of select="$strErrorID276"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='277'"><xsl:value-of select="$strErrorID277"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='278'"><xsl:value-of select="$strErrorID278"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='279'"><xsl:value-of select="$strErrorID279"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='280'"><xsl:value-of select="$strErrorID280"/></xsl:when>
                  <xsl:when test="$OffsetErrorID='281'"><xsl:value-of select="$strErrorID281"/></xsl:when>
		  <xsl:when test="$OffsetErrorID='282'"><xsl:value-of select="$strErrorID282"/></xsl:when>
		  <xsl:when test="$OffsetErrorID='283'"><xsl:value-of select="$strErrorID283"/></xsl:when>
      <xsl:when test="$OffsetErrorID='284'"><xsl:value-of select="$strErrorID284"/></xsl:when>
      <xsl:when test="$OffsetErrorID='285'"><xsl:value-of select="$strErrorID285"/></xsl:when>
      <xsl:when test="$OffsetErrorID='286'"><xsl:value-of select="$strErrorID286"/></xsl:when>
      <xsl:when test="$OffsetErrorID='287'"><xsl:value-of select="$strErrorID287"/></xsl:when>
      <xsl:when test="$OffsetErrorID='288'"><xsl:value-of select="$strErrorID288"/></xsl:when>
      <xsl:when test="$OffsetErrorID='289'"><xsl:value-of select="$strErrorID289"/></xsl:when>
		  
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$OffsetErrorID='-1'">
						<xsl:choose>              
							<xsl:when test="$WSManError='12'"><xsl:value-of select="$strWSManTimeoutErrorMsg"/></xsl:when>
							<xsl:when test="$WSManError='1201'"><xsl:value-of select="$strLockDownModeErrorMsg"/></xsl:when>
							<xsl:when test="$WSManError = '4'"><xsl:value-of select="$strWS_LASTERR_URL_MALFORMAT"/></xsl:when>	
							<xsl:when test="$WSManError = '6'"><xsl:value-of select="$strWS_LASTERR_COULDNT_RESOLVE_HOST"/></xsl:when>	
							<xsl:when test="$WSManError = '7'"><xsl:value-of select="$strWS_LASTERR_COULDNT_CONNECT"/></xsl:when>	
							<xsl:when test="$WSManError = '11'"><xsl:value-of select="$strWS_LASTERR_OUT_OF_MEMORY"/></xsl:when>	
							<xsl:when test="$WSManError = '16' or $WSManError = '17' or $WSManError = '20' or $WSManError = '21' "><xsl:value-of select="$strWS_LASTERR_SSL_CONNECT_ERROR"/></xsl:when>	
							<xsl:when test="$WSManError = '26'"><xsl:value-of select="$strWS_LASTERR_LOGIN_DENIED"/></xsl:when>
							<xsl:when test="$WSManError = '27'"><xsl:value-of select="$strWS_LASTERR_BAD_CRL_FILE"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="$strErrorIDMinus1"/></xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise><xsl:value-of select="$strGenericErrorMessage"/></xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<!-- status id-->
	<xsl:template name="GetStatusID">
		<xsl:param name="StatusID"/>
    
		<!-- The value of ErrorID is in range 2048 to 3072. This is converted to a scale of 0 to 1023.-->
		<!-- Message files in language directory have messages mapped for error ids in range 0 to 1023, hence the conversion -->
		<xsl:variable name="OffsetStatusID">
			<xsl:choose>
				<xsl:when test="$StatusID >= 2048"><xsl:value-of select="number($StatusID) - 2048"/></xsl:when>
				<xsl:otherwise><xsl:value-of select="$StatusID"/></xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:choose>
            <xsl:when test="$OffsetStatusID='0'"><xsl:value-of select="$strSevID0"/></xsl:when>
			<xsl:when test="$OffsetStatusID='1'"><xsl:value-of select="$strSevID1"/></xsl:when>
			<xsl:when test="$OffsetStatusID='2'"><xsl:value-of select="$strSevID2"/></xsl:when>
			<xsl:when test="$OffsetStatusID='3'"><xsl:value-of select="$strSevID3"/></xsl:when>
			<xsl:when test="$OffsetStatusID='4'"><xsl:value-of select="$strSevID4"/></xsl:when>
			<xsl:when test="$OffsetStatusID='5'"><xsl:value-of select="$strSevID5"/></xsl:when>
			<xsl:when test="$OffsetStatusID='6'"><xsl:value-of select="$strSevID6"/></xsl:when>
			<xsl:when test="$OffsetStatusID='7'"><xsl:value-of select="$strSevID7"/></xsl:when>
			<xsl:when test="$OffsetStatusID='8'"><xsl:value-of select="$strSevID8"/></xsl:when>
			<xsl:when test="$OffsetStatusID='9'"><xsl:value-of select="$strSevID9"/></xsl:when>
			<xsl:when test="$OffsetStatusID='10'"><xsl:value-of select="$strSevID10"/></xsl:when>
			<xsl:when test="$OffsetStatusID='11'"><xsl:value-of select="$strSevID11"/></xsl:when>
			<xsl:when test="$OffsetStatusID='12'"><xsl:value-of select="$strSevID12"/></xsl:when>
			<xsl:when test="$OffsetStatusID='13'"><xsl:value-of select="$strSevID13"/></xsl:when>
			<xsl:when test="$OffsetStatusID='14'"><xsl:value-of select="$strSevID14"/></xsl:when>
			<xsl:when test="$OffsetStatusID='15'"><xsl:value-of select="$strSevID15"/></xsl:when>
			<xsl:when test="$OffsetStatusID='16'"><xsl:value-of select="$strSevID16"/></xsl:when>
			<xsl:when test="$OffsetStatusID='17'"><xsl:value-of select="$strSevID17"/></xsl:when>
			<xsl:when test="$OffsetStatusID='18'"><xsl:value-of select="$strSevID18"/></xsl:when>
			<xsl:when test="$OffsetStatusID='19'"><xsl:value-of select="$strSevID19"/></xsl:when>
			<xsl:when test="$OffsetStatusID='20'"><xsl:value-of select="$strSevID20"/></xsl:when>
			<xsl:when test="$OffsetStatusID='21'"><xsl:value-of select="$strSevID21"/></xsl:when>
			<xsl:when test="$OffsetStatusID='22'"><xsl:value-of select="$strSevID22"/></xsl:when>
			<xsl:when test="$OffsetStatusID='23'"><xsl:value-of select="$strSevID23"/></xsl:when>
			<xsl:when test="$OffsetStatusID='24'"><xsl:value-of select="$strSevID24"/></xsl:when>
			<xsl:when test="$OffsetStatusID='25'"><xsl:value-of select="$strSevID25"/></xsl:when>
			<xsl:when test="$OffsetStatusID='26'"><xsl:value-of select="$strSevID26"/></xsl:when>
			<xsl:when test="$OffsetStatusID='27'"><xsl:value-of select="$strSevID27"/></xsl:when>
			<xsl:when test="$OffsetStatusID='28'"><xsl:value-of select="$strSevID28"/></xsl:when>
			<xsl:when test="$OffsetStatusID='29'"><xsl:value-of select="$strSevID29"/></xsl:when>
			<xsl:when test="$OffsetStatusID='30'"><xsl:value-of select="$strSevID30"/></xsl:when>
			<xsl:when test="$OffsetStatusID='31'"><xsl:value-of select="$strSevID31"/></xsl:when>
			<xsl:when test="$OffsetStatusID='32'"><xsl:value-of select="$strSevID32"/></xsl:when>
			<xsl:when test="$OffsetStatusID='33'"><xsl:value-of select="$strSevID33"/></xsl:when>
			<xsl:when test="$OffsetStatusID='34'"><xsl:value-of select="$strSevID34"/></xsl:when>
			<xsl:when test="$OffsetStatusID='35'"><xsl:value-of select="$strSevID35"/></xsl:when>
			<xsl:when test="$OffsetStatusID='36'"><xsl:value-of select="$strSevID36"/></xsl:when>
			<xsl:when test="$OffsetStatusID='37'"><xsl:value-of select="$strSevID37"/></xsl:when>
			<xsl:when test="$OffsetStatusID='38'"><xsl:value-of select="$strSevID38"/></xsl:when>
			<xsl:when test="$OffsetStatusID='39'"><xsl:value-of select="$strSevID39"/></xsl:when>
			<xsl:when test="$OffsetStatusID='40'"><xsl:value-of select="$strSevID40"/></xsl:when>
			<xsl:when test="$OffsetStatusID='41'"><xsl:value-of select="$strSevID41"/></xsl:when>
			<xsl:when test="$OffsetStatusID='42'"><xsl:value-of select="$strSevID42"/></xsl:when>
			<xsl:when test="$OffsetStatusID='43'"><xsl:value-of select="$strSevID43"/></xsl:when>
			<xsl:when test="$OffsetStatusID='44'"><xsl:value-of select="$strSevID44"/></xsl:when>
			<xsl:when test="$OffsetStatusID='45'"><xsl:value-of select="$strSevID45"/></xsl:when>
			<xsl:when test="$OffsetStatusID='46'"><xsl:value-of select="$strSevID46"/></xsl:when>
			<xsl:when test="$OffsetStatusID='47'"><xsl:value-of select="$strSevID47"/></xsl:when>
			<xsl:when test="$OffsetStatusID='48'"><xsl:value-of select="$strSevID48"/></xsl:when>
			<xsl:when test="$OffsetStatusID='49'"><xsl:value-of select="$strSevID49"/></xsl:when>
			<xsl:when test="$OffsetStatusID='50'"><xsl:value-of select="$strSevID50"/></xsl:when>
			<xsl:when test="$OffsetStatusID='51'"><xsl:value-of select="$strSevID51"/></xsl:when>
			<xsl:when test="$OffsetStatusID='52'"><xsl:value-of select="$strSevID52"/></xsl:when>
			<xsl:when test="$OffsetStatusID='53'"><xsl:value-of select="$strSevID53"/></xsl:when>
			<xsl:when test="$OffsetStatusID='54'"><xsl:value-of select="$strSevID54"/></xsl:when>
			<xsl:when test="$OffsetStatusID='55'"><xsl:value-of select="$strSevID55"/></xsl:when>
			<xsl:when test="$OffsetStatusID='56'"><xsl:value-of select="$strSevID56"/></xsl:when>
			<xsl:when test="$OffsetStatusID='57'"><xsl:value-of select="$strSevID57"/></xsl:when>
			<xsl:when test="$OffsetStatusID='58'"><xsl:value-of select="$strSevID58"/></xsl:when>
			<xsl:when test="$OffsetStatusID='59'"><xsl:value-of select="$strSevID59"/></xsl:when>
			<xsl:when test="$OffsetStatusID='60'"><xsl:value-of select="$strSevID60"/></xsl:when>
			<xsl:when test="$OffsetStatusID='61'"><xsl:value-of select="$strSevID61"/></xsl:when>
			<xsl:when test="$OffsetStatusID='62'"><xsl:value-of select="$strSevID62"/></xsl:when>
			<xsl:when test="$OffsetStatusID='63'"><xsl:value-of select="$strSevID63"/></xsl:when>
			<xsl:when test="$OffsetStatusID='64'"><xsl:value-of select="$strSevID64"/></xsl:when>
			<xsl:when test="$OffsetStatusID='65'"><xsl:value-of select="$strSevID65"/></xsl:when>
			<xsl:when test="$OffsetStatusID='66'"><xsl:value-of select="$strSevID66"/></xsl:when>
			<xsl:when test="$OffsetStatusID='67'"><xsl:value-of select="$strSevID67"/></xsl:when>
			<xsl:when test="$OffsetStatusID='68'"><xsl:value-of select="$strSevID68"/></xsl:when>
			<xsl:when test="$OffsetStatusID='69'"><xsl:value-of select="$strSevID69"/></xsl:when>
			<xsl:when test="$OffsetStatusID='70'"><xsl:value-of select="$strSevID70"/></xsl:when>
			<xsl:when test="$OffsetStatusID='71'"><xsl:value-of select="$strSevID71"/></xsl:when>
			<xsl:when test="$OffsetStatusID='72'"><xsl:value-of select="$strSevID72"/></xsl:when>
			<xsl:when test="$OffsetStatusID='73'"><xsl:value-of select="$strSevID73"/></xsl:when>
			<xsl:when test="$OffsetStatusID='74'"><xsl:value-of select="$strSevID74"/></xsl:when>
			<xsl:when test="$OffsetStatusID='75'"><xsl:value-of select="$strSevID75"/></xsl:when>
			<xsl:when test="$OffsetStatusID='76'"><xsl:value-of select="$strSevID76"/></xsl:when>
			<xsl:when test="$OffsetStatusID='77'"><xsl:value-of select="$strSevID77"/></xsl:when>
			<xsl:when test="$OffsetStatusID='78'"><xsl:value-of select="$strSevID78"/></xsl:when>
			<xsl:when test="$OffsetStatusID='79'"><xsl:value-of select="$strSevID79"/></xsl:when>
			<xsl:when test="$OffsetStatusID='80'"><xsl:value-of select="$strSevID80"/></xsl:when>
			<xsl:when test="$OffsetStatusID='81'"><xsl:value-of select="$strSevID81"/></xsl:when>
			<xsl:when test="$OffsetStatusID='82'"><xsl:value-of select="$strSevID82"/></xsl:when>
			<xsl:when test="$OffsetStatusID='83'"><xsl:value-of select="$strSevID83"/></xsl:when>
			<xsl:when test="$OffsetStatusID='84'"><xsl:value-of select="$strSevID84"/></xsl:when>
			<xsl:when test="$OffsetStatusID='85'"><xsl:value-of select="$strSevID85"/></xsl:when>
			<xsl:when test="$OffsetStatusID='86'"><xsl:value-of select="$strSevID86"/></xsl:when>
			<xsl:when test="$OffsetStatusID='87'"><xsl:value-of select="$strSevID87"/></xsl:when>
			<xsl:when test="$OffsetStatusID='88'"><xsl:value-of select="$strSevID88"/></xsl:when>
			<xsl:when test="$OffsetStatusID='89'"><xsl:value-of select="$strSevID89"/></xsl:when>
			<xsl:when test="$OffsetStatusID='90'"><xsl:value-of select="$strSevID90"/></xsl:when>
			<xsl:when test="$OffsetStatusID='91'"><xsl:value-of select="$strSevID91"/></xsl:when>
			<xsl:when test="$OffsetStatusID='92'"><xsl:value-of select="$strSevID92"/></xsl:when>
			<xsl:when test="$OffsetStatusID='93'"><xsl:value-of select="$strSevID93"/></xsl:when>
			<xsl:when test="$OffsetStatusID='94'"><xsl:value-of select="$strSevID94"/></xsl:when>
			<xsl:when test="$OffsetStatusID='95'"><xsl:value-of select="$strSevID95"/></xsl:when>
			<xsl:when test="$OffsetStatusID='96'"><xsl:value-of select="$strSevID96"/></xsl:when>
			<xsl:when test="$OffsetStatusID='97'"><xsl:value-of select="$strSevID97"/></xsl:when>
			<xsl:when test="$OffsetStatusID='98'"><xsl:value-of select="$strSevID98"/></xsl:when>
			<xsl:when test="$OffsetStatusID='99'"><xsl:value-of select="$strSevID99"/></xsl:when>
			<xsl:when test="$OffsetStatusID='100'"><xsl:value-of select="$strSevID100"/></xsl:when>
			<xsl:when test="$OffsetStatusID='101'"><xsl:value-of select="$strSevID101"/></xsl:when>
			<xsl:when test="$OffsetStatusID='102'"><xsl:value-of select="$strSevID102"/></xsl:when>
			<xsl:when test="$OffsetStatusID='103'"><xsl:value-of select="$strSevID103"/></xsl:when>
			<xsl:when test="$OffsetStatusID='104'"><xsl:value-of select="$strSevID104"/></xsl:when>
			<xsl:when test="$OffsetStatusID='105'"><xsl:value-of select="$strSevID105"/></xsl:when>
			<xsl:when test="$OffsetStatusID='106'"><xsl:value-of select="$strSevID106"/></xsl:when>
			<xsl:when test="$OffsetStatusID='107'"><xsl:value-of select="$strSevID107"/></xsl:when>
			<xsl:when test="$OffsetStatusID='108'"><xsl:value-of select="$strSevID108"/></xsl:when>
			<xsl:when test="$OffsetStatusID='109'"><xsl:value-of select="$strSevID109"/></xsl:when>
			<xsl:when test="$OffsetStatusID='110'"><xsl:value-of select="$strSevID110"/></xsl:when>
			<xsl:when test="$OffsetStatusID='111'"><xsl:value-of select="$strSevID111"/></xsl:when>
			<xsl:when test="$OffsetStatusID='112'"><xsl:value-of select="$strSevID112"/></xsl:when>
			<xsl:when test="$OffsetStatusID='113'"><xsl:value-of select="$strSevID113"/></xsl:when>
			<xsl:when test="$OffsetStatusID='114'"><xsl:value-of select="$strSevID114"/></xsl:when>
			<xsl:when test="$OffsetStatusID='115'"><xsl:value-of select="$strSevID115"/></xsl:when>
			<xsl:when test="$OffsetStatusID='116'"><xsl:value-of select="$strSevID116"/></xsl:when>
			<xsl:when test="$OffsetStatusID='117'"><xsl:value-of select="$strSevID117"/></xsl:when>
			<xsl:when test="$OffsetStatusID='118'"><xsl:value-of select="$strSevID118"/></xsl:when>
			<xsl:when test="$OffsetStatusID='119'"><xsl:value-of select="$strSevID119"/></xsl:when>
			<xsl:when test="$OffsetStatusID='120'"><xsl:value-of select="$strSevID120"/></xsl:when>
			<xsl:when test="$OffsetStatusID='121'"><xsl:value-of select="$strSevID121"/></xsl:when>
			<xsl:when test="$OffsetStatusID='122'"><xsl:value-of select="$strSevID122"/></xsl:when>
			<xsl:when test="$OffsetStatusID='123'"><xsl:value-of select="$strSevID123"/></xsl:when>
			<xsl:when test="$OffsetStatusID='124'"><xsl:value-of select="$strSevID124"/></xsl:when>
			<xsl:when test="$OffsetStatusID='125'"><xsl:value-of select="$strSevID125"/></xsl:when>
			<xsl:when test="$OffsetStatusID='126'"><xsl:value-of select="$strSevID126"/></xsl:when>
			<xsl:when test="$OffsetStatusID='127'"><xsl:value-of select="$strSevID127"/></xsl:when>
			<xsl:when test="$OffsetStatusID='128'"><xsl:value-of select="$strSevID128"/></xsl:when>
			<xsl:when test="$OffsetStatusID='129'"><xsl:value-of select="$strSevID129"/></xsl:when>
			<xsl:when test="$OffsetStatusID='130'"><xsl:value-of select="$strSevID130"/></xsl:when>
			<xsl:when test="$OffsetStatusID='131'"><xsl:value-of select="$strSevID131"/></xsl:when>
			<xsl:when test="$OffsetStatusID='132'"><xsl:value-of select="$strSevID132"/></xsl:when>
			<xsl:when test="$OffsetStatusID='133'"><xsl:value-of select="$strSevID133"/></xsl:when>
			<xsl:when test="$OffsetStatusID='134'"><xsl:value-of select="$strSevID134"/></xsl:when>
			<xsl:when test="$OffsetStatusID='135'"><xsl:value-of select="$strSevID135"/></xsl:when>
			<xsl:when test="$OffsetStatusID='136'"><xsl:value-of select="$strSevID136"/></xsl:when>
			<xsl:when test="$OffsetStatusID='137'"><xsl:value-of select="$strSevID137"/></xsl:when>
			<xsl:when test="$OffsetStatusID='138'"><xsl:value-of select="$strSevID138"/></xsl:when>
			<xsl:when test="$OffsetStatusID='139'"><xsl:value-of select="$strSevID139"/></xsl:when>
			<xsl:when test="$OffsetStatusID='140'"><xsl:value-of select="$strSevID140"/></xsl:when>
			<xsl:when test="$OffsetStatusID='141'"><xsl:value-of select="$strSevID141"/></xsl:when>
			<xsl:when test="$OffsetStatusID='142'"><xsl:value-of select="$strSevID142"/></xsl:when>
			<xsl:when test="$OffsetStatusID='143'"><xsl:value-of select="$strSevID143"/></xsl:when>
			<xsl:when test="$OffsetStatusID='144'"><xsl:value-of select="$strSevID144"/></xsl:when>
			<xsl:when test="$OffsetStatusID='145'"><xsl:value-of select="$strSevID145"/></xsl:when>
			<xsl:when test="$OffsetStatusID='146'"><xsl:value-of select="$strSevID146"/></xsl:when>
			<xsl:when test="$OffsetStatusID='147'"><xsl:value-of select="$strSevID147"/></xsl:when>
			<xsl:when test="$OffsetStatusID='148'"><xsl:value-of select="$strSevID148"/></xsl:when>
			<xsl:when test="$OffsetStatusID='149'"><xsl:value-of select="$strSevID149"/></xsl:when>
			<xsl:when test="$OffsetStatusID='150'"><xsl:value-of select="$strSevID150"/></xsl:when>
			<xsl:when test="$OffsetStatusID='151'"><xsl:value-of select="$strSevID151"/></xsl:when>
			<xsl:when test="$OffsetStatusID='152'"><xsl:value-of select="$strSevID152"/></xsl:when>
			<xsl:when test="$OffsetStatusID='153'"><xsl:value-of select="$strSevID153"/></xsl:when>
			<xsl:when test="$OffsetStatusID='154'"><xsl:value-of select="$strSevID154"/></xsl:when>
			<xsl:when test="$OffsetStatusID='155'"><xsl:value-of select="$strSevID155"/></xsl:when>
			<xsl:when test="$OffsetStatusID='156'"><xsl:value-of select="$strSevID156"/></xsl:when>
			<xsl:when test="$OffsetStatusID='157'"><xsl:value-of select="$strSevID157"/></xsl:when>
			<xsl:when test="$OffsetStatusID='158'"><xsl:value-of select="$strSevID158"/></xsl:when>
			<xsl:when test="$OffsetStatusID='159'"><xsl:value-of select="$strSevID159"/></xsl:when>
			<xsl:when test="$OffsetStatusID='160'"><xsl:value-of select="$strSevID160"/></xsl:when>
			<xsl:when test="$OffsetStatusID='161'"><xsl:value-of select="$strSevID161"/></xsl:when>
			<xsl:when test="$OffsetStatusID='162'"><xsl:value-of select="$strSevID162"/></xsl:when>
			<xsl:when test="$OffsetStatusID='163'"><xsl:value-of select="$strSevID163"/></xsl:when>
			<xsl:when test="$OffsetStatusID='164'"><xsl:value-of select="$strSevID164"/></xsl:when>
			<xsl:when test="$OffsetStatusID='165'"><xsl:value-of select="$strSevID165"/></xsl:when>
			<xsl:when test="$OffsetStatusID='166'"><xsl:value-of select="$strSevID166"/></xsl:when>
			<xsl:when test="$OffsetStatusID='167'"><xsl:value-of select="$strSevID167"/></xsl:when>
			<xsl:when test="$OffsetStatusID='168'"><xsl:value-of select="$strSevID168"/></xsl:when>
			<xsl:when test="$OffsetStatusID='169'"><xsl:value-of select="$strSevID169"/></xsl:when>
			<xsl:when test="$OffsetStatusID='170'"><xsl:value-of select="$strSevID170"/></xsl:when>
			<xsl:when test="$OffsetStatusID='172'"><xsl:value-of select="$strSevID172"/></xsl:when>
			<xsl:when test="$OffsetStatusID='173'"><xsl:value-of select="$strSevID173"/></xsl:when>
			<xsl:when test="$OffsetStatusID='174'"><xsl:value-of select="$strSevID174"/></xsl:when>
			<xsl:when test="$OffsetStatusID='176'"><xsl:value-of select="$strSevID176"/></xsl:when>
			<xsl:when test="$OffsetStatusID='177'"><xsl:value-of select="$strSevID177"/></xsl:when>
			<xsl:when test="$OffsetStatusID='178'"><xsl:value-of select="$strSevID178"/></xsl:when>
			<xsl:when test="$OffsetStatusID='179'"><xsl:value-of select="$strSevID179"/></xsl:when>
			<xsl:when test="$OffsetStatusID='180'"><xsl:value-of select="$strSevID180"/></xsl:when>
			<xsl:when test="$OffsetStatusID='181'"><xsl:value-of select="$strSevID181"/></xsl:when>
			<xsl:when test="$OffsetStatusID='182'"><xsl:value-of select="$strSevID182"/></xsl:when>
			<xsl:when test="$OffsetStatusID='183'"><xsl:value-of select="$strSevID183"/></xsl:when>
			<xsl:when test="$OffsetStatusID='184'"><xsl:value-of select="$strSevID184"/></xsl:when>
			<xsl:when test="$OffsetStatusID='185'"><xsl:value-of select="$strSevID185"/></xsl:when>
			<xsl:when test="$OffsetStatusID='189'"><xsl:value-of select="$strSevID189"/></xsl:when>
			<xsl:when test="$OffsetStatusID='191'"><xsl:value-of select="$strSevID191"/></xsl:when>
			<xsl:when test="$OffsetStatusID='192'"><xsl:value-of select="$strSevID192"/></xsl:when>
			<xsl:when test="$OffsetStatusID='193'"><xsl:value-of select="$strSevID193"/></xsl:when>
			<xsl:when test="$OffsetStatusID='194'"><xsl:value-of select="$strSevID194"/></xsl:when>
			<xsl:when test="$OffsetStatusID='195'"><xsl:value-of select="$strSevID195"/></xsl:when>
			<xsl:when test="$OffsetStatusID='197'"><xsl:value-of select="$strSevID197"/></xsl:when>
			<xsl:when test="$OffsetStatusID='200'"><xsl:value-of select="$strSevID200"/></xsl:when>

            <!-- 199 to 208 are foreign config error codes check utils.xsl file for those codes.-->
            <xsl:when test="$OffsetStatusID='211'"><xsl:value-of select="$strSevID211"/></xsl:when>
			<xsl:when test="$OffsetStatusID='212'"><xsl:value-of select="$strSevID212"/></xsl:when>
			<xsl:when test="$OffsetStatusID='213'"><xsl:value-of select="$strSevID213"/></xsl:when>
			<xsl:when test="$OffsetStatusID='214'"><xsl:value-of select="$strSevID214"/></xsl:when>
			<xsl:when test="$OffsetStatusID='215'"><xsl:value-of select="$strSevID215"/></xsl:when>
			<xsl:when test="$OffsetStatusID='216'"><xsl:value-of select="$strSevID216"/></xsl:when>
			<xsl:when test="$OffsetStatusID='217'"><xsl:value-of select="$strSevID217"/></xsl:when>
			<xsl:when test="$OffsetStatusID='218'"><xsl:value-of select="$strSevID218"/></xsl:when>
			<xsl:when test="$OffsetStatusID='222'"><xsl:value-of select="$strSevID222"/></xsl:when>
			<xsl:when test="$OffsetStatusID='223'"><xsl:value-of select="$strSevID223"/></xsl:when>
			<xsl:when test="$OffsetStatusID='224'"><xsl:value-of select="$strSevID224"/></xsl:when>
			<xsl:when test="$OffsetStatusID='225'"><xsl:value-of select="$strSevID225"/></xsl:when>
			<xsl:when test="$OffsetStatusID='226'"><xsl:value-of select="$strSevID226"/></xsl:when>
			<xsl:when test="$OffsetStatusID='227'"><xsl:value-of select="$strSevID227"/></xsl:when>
			<!-- Currently 228 (2276) is not used -->
			<xsl:when test="$OffsetStatusID='229'"><xsl:value-of select="$strSevID229"/></xsl:when>
			<xsl:when test="$OffsetStatusID='230'"><xsl:value-of select="$strSevID230"/></xsl:when>
			<xsl:when test="$OffsetStatusID='231'"><xsl:value-of select="$strSevID231"/></xsl:when>
			<xsl:when test="$OffsetStatusID='232'"><xsl:value-of select="$strSevID232"/></xsl:when>
			<xsl:when test="$OffsetStatusID='233'"><xsl:value-of select="$strSevID233"/></xsl:when>
			<xsl:when test="$OffsetStatusID='234'"><xsl:value-of select="$strSevID234"/></xsl:when>
			<xsl:when test="$OffsetStatusID='235'"><xsl:value-of select="$strSevID235"/></xsl:when>
      <xsl:when test="$OffsetStatusID='236'"><xsl:value-of select="$strSevID236"/></xsl:when>
      <xsl:when test="$OffsetStatusID='237'"><xsl:value-of select="$strSevID237"/></xsl:when>
      <xsl:when test="$OffsetStatusID='241'"><xsl:value-of select="$strSevID241"/></xsl:when>
      <xsl:when test="$OffsetStatusID='242'"><xsl:value-of select="$strSevID242"/></xsl:when>
      <xsl:when test="$OffsetStatusID='243'"><xsl:value-of select="$strSevID243"/></xsl:when>
      <xsl:when test="$OffsetStatusID='244'"><xsl:value-of select="$strSevID244"/></xsl:when>
      <xsl:when test="$OffsetStatusID='245'"><xsl:value-of select="$strSevID245"/></xsl:when>
      <xsl:when test="$OffsetStatusID='246'"><xsl:value-of select="$strSevID246"/></xsl:when>
      <xsl:when test="$OffsetStatusID='247'"><xsl:value-of select="$strSevID247"/></xsl:when>
      <xsl:when test="$OffsetStatusID='248'"><xsl:value-of select="$strSevID248"/></xsl:when>
      <xsl:when test="$OffsetStatusID='249'"><xsl:value-of select="$strSevID249"/></xsl:when>
      <xsl:when test="$OffsetStatusID='250'"><xsl:value-of select="$strSevID250"/></xsl:when>
      <xsl:when test="$OffsetStatusID='251'"><xsl:value-of select="$strSevID251"/></xsl:when>
      <xsl:when test="$OffsetStatusID='252'"><xsl:value-of select="$strSevID252"/></xsl:when>
      <xsl:when test="$OffsetStatusID='253'"><xsl:value-of select="$strSevID253"/></xsl:when>
      <xsl:when test="$OffsetStatusID='254'"><xsl:value-of select="$strSevID254"/></xsl:when>
      <xsl:when test="$OffsetStatusID='255'"><xsl:value-of select="$strSevID255"/></xsl:when>
      <xsl:when test="$OffsetStatusID='256'"><xsl:value-of select="$strSevID256"/></xsl:when>
      <xsl:when test="$OffsetStatusID='257'"><xsl:value-of select="$strSevID257"/></xsl:when>
      <xsl:when test="$OffsetStatusID='258'"><xsl:value-of select="$strSevID258"/></xsl:when>
      <xsl:when test="$OffsetStatusID='259'"><xsl:value-of select="$strSevID259"/></xsl:when>
      <xsl:when test="$OffsetStatusID='260'"><xsl:value-of select="$strSevID260"/></xsl:when>
      <xsl:when test="$OffsetStatusID='261'"><xsl:value-of select="$strSevID261"/></xsl:when>
      <xsl:when test="$OffsetStatusID='262'"><xsl:value-of select="$strSevID262"/></xsl:when>
      <xsl:when test="$OffsetStatusID='263'"><xsl:value-of select="$strSevID263"/></xsl:when>
      <xsl:when test="$OffsetStatusID='264'"><xsl:value-of select="$strSevID264"/></xsl:when>
      <xsl:when test="$OffsetStatusID='265'"><xsl:value-of select="$strSevID265"/></xsl:when>
      <xsl:when test="$OffsetStatusID='266'"><xsl:value-of select="$strSevID266"/></xsl:when>
      <xsl:when test="$OffsetStatusID='267'"><xsl:value-of select="$strSevID267"/></xsl:when>
      <xsl:when test="$OffsetStatusID='268'"><xsl:value-of select="$strSevID268"/></xsl:when>
      <xsl:when test="$OffsetStatusID='269'"><xsl:value-of select="$strSevID269"/></xsl:when>
      <xsl:when test="$OffsetStatusID='270'"><xsl:value-of select="$strSevID270"/></xsl:when>
      <xsl:when test="$OffsetStatusID='271'"><xsl:value-of select="$strSevID271"/></xsl:when>
      <xsl:when test="$OffsetStatusID='272'"><xsl:value-of select="$strSevID272"/></xsl:when>
      <xsl:when test="$OffsetStatusID='273'"><xsl:value-of select="$strSevID273"/></xsl:when>
      <xsl:when test="$OffsetStatusID='274'"><xsl:value-of select="$strSevID274"/></xsl:when>
      <xsl:when test="$OffsetStatusID='275'"><xsl:value-of select="$strSevID275"/></xsl:when>
      <xsl:when test="$OffsetStatusID='276'"><xsl:value-of select="$strSevID276"/></xsl:when>
      <xsl:when test="$OffsetStatusID='277'"><xsl:value-of select="$strSevID277"/></xsl:when>
      <xsl:when test="$OffsetStatusID='278'"><xsl:value-of select="$strSevID278"/></xsl:when>
      <xsl:when test="$OffsetStatusID='279'"><xsl:value-of select="$strSevID279"/></xsl:when>
      <xsl:when test="$OffsetStatusID='280'"><xsl:value-of select="$strSevID280"/></xsl:when>
      <xsl:when test="$OffsetStatusID='281'"><xsl:value-of select="$strSevID281"/></xsl:when>
      <xsl:when test="$OffsetStatusID='282'"><xsl:value-of select="$strSevID282"/></xsl:when>
      <xsl:when test="$OffsetStatusID='283'"><xsl:value-of select="$strSevID283"/></xsl:when>
      <xsl:when test="$OffsetStatusID='284'"><xsl:value-of select="$strSevID284"/></xsl:when>
      <xsl:when test="$OffsetStatusID='285'"><xsl:value-of select="$strSevID285"/></xsl:when>
      <xsl:when test="$OffsetStatusID='286'"><xsl:value-of select="$strSevID286"/></xsl:when>
      <xsl:when test="$OffsetStatusID='287'"><xsl:value-of select="$strSevID287"/></xsl:when>
	
      </xsl:choose>	
	</xsl:template>
</xsl:stylesheet>
